<?php
/**
 * Plugin Name: Jawn Email Subscription
 * Plugin URI: http://themeforest.net/user/mvpthemes
 * Description: Creates Email Subscription function for use with Jawn Theme
 * Version: 1.0
 * Author: MVP Themes
 * Author URI: http://premium.wpmudev.org
 * License: GNU General Public License v3 or later
 */

include( get_template_directory() . '/widgets/widget-sub.php');

if(!function_exists('mvp_email_sub_fn')) {
	add_action('mvp_email_sub' , 'mvp_email_sub_fn' );

	function mvp_email_sub_fn() {
		if('POST' == $_SERVER['REQUEST_METHOD'] && isset($_POST['mvp_submit_subscription'])) {
			if( filter_var($_POST['subscriber_email'], FILTER_VALIDATE_EMAIL) ){

				 $blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
				 $subject = sprintf(__('New Subscription on %s','jawn'), $blogname);
				 $to = get_option('mvp_sub_email');
				 $headers = 'From: '. sprintf(__('%s Admin', 'jawn'), $blogname) .' <No-repy@'.$_SERVER['SERVER_NAME'] .'>' . PHP_EOL;

				$message  = sprintf(__('Hi ,', 'jawn')) . PHP_EOL . PHP_EOL;
				$message .= sprintf(__('You have a new subscription on your %s website.', 'jawn'), $blogname) . PHP_EOL . PHP_EOL;
				$message .= __('Email Details', 'jawn') . PHP_EOL;
				$message .= __('-----------------', 'jawn') . PHP_EOL;
				$message .= __('User E-mail: ', 'jawn') . stripslashes($_POST['subscriber_email']) . PHP_EOL;
				$message .= __('Regards,', 'jawn') . PHP_EOL . PHP_EOL;
				$message .= sprintf(__('Your %s Team', 'jawn'), $blogname) . PHP_EOL;
				$message .= trailingslashit( home_url() ) . PHP_EOL . PHP_EOL . PHP_EOL . PHP_EOL;

				if (wp_mail($to, $subject, $message, $headers)){
				}
			} else {
			}
		}?>
		<div class="mvp-email-sub-wrap">
			<div class="mvp-email-sub-left">
				<span class="mvp-email-sub-head"><?php echo esc_html(get_option('mvp_sub_head')); ?></span>
				<p class="mvp-email-sub-text"><?php echo esc_html(get_option('mvp_sub_text')); ?></p>
			</div>
			<div class="mvp-email-sub-right">
				<form id="mvp-sub-form" action="" method="POST">
					<div class="mvp-sub-form-main">
						<div class="mvp-sub-email">
							<input type="email" name="subscriber_email" placeholder="<?php esc_html_e( 'Enter email address', 'jawn' ); ?>">
						</div>
						<div class="mvp-sub-submit">
							<input type="hidden" name="mvp_submit_subscription" value="Submit">
							<input type="submit" name="submit_form" value="<?php esc_html_e( 'Submit', 'jawn' ); ?>">
						</div>
					</div>
				</form>
			</div>
		</div>
	<?php }
}

?>