<!DOCTYPE html>
<html ⚡ <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset'); ?>" >
		<link rel="amphtml" href="<?php echo get_permalink(); ?>amp/" />
    	<meta name="viewport" id="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
		<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { if(get_option('mvp_favicon')) { ?><link rel="shortcut icon" href="<?php echo esc_url(get_option('mvp_favicon')); ?>" /><?php } } ?>
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<meta property="og:type" content="article" />
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
				<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'mvp-post-thumb' ); ?>
				<meta property="og:image" content="<?php echo esc_url( $thumb['0'] ); ?>" />
				<meta name="twitter:image" content="<?php echo esc_url( $thumb['0'] ); ?>" />
			<?php } ?>
			<meta property="og:url" content="<?php the_permalink() ?>" />
			<meta property="og:title" content="<?php the_title_attribute(); ?>" />
			<meta property="og:description" content="<?php echo strip_tags(get_the_excerpt()); ?>" />
			<meta name="twitter:card" content="summary">
			<meta name="twitter:url" content="<?php the_permalink() ?>">
			<meta name="twitter:title" content="<?php the_title_attribute(); ?>">
			<meta name="twitter:description" content="<?php echo strip_tags(get_the_excerpt()); ?>">
		<?php endwhile; endif; ?>
		<script async custom-element="amp-social-share" src="https://cdn.ampproject.org/v0/amp-social-share-0.1.js"></script>
		<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
		<?php do_action( 'amp_post_template_head', $this ); ?>
		<style amp-custom>
				html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

html {
	overflow-x: hidden;
 	}

body {
	color: #000;
	font-size: 1rem;
	-webkit-font-smoothing: antialiased;
	font-weight: 400;
	line-height: 100%;
	margin: 0px auto;
	padding: 0px;
	}

h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
	-webkit-backface-visibility: hidden;
	color: #000;
	}

img {
	max-width: 100%;
	height: auto;
	-webkit-backface-visibility: hidden;
	}

iframe,
embed,
object,
video {
	max-width: 100%;
	}

a, a:visited {
	opacity: 1;
	text-decoration: none;
	-webkit-transition: color .25s, background .25s, opacity .25s;
	   -moz-transition: color .25s, background .25s, opacity .25s;
	    -ms-transition: color .25s, background .25s, opacity .25s;
	     -o-transition: color .25s, background .25s, opacity .25s;
			transition: color .25s, background .25s, opacity .25s;
	}

a:hover {
	text-decoration: none;
	}

a:active,
a:focus {
	outline: none;
	}

#mvp-side-wrap a {
	color: #000;
	font-weight: 700;
	}

#mvp-site,
#mvp-site-wall {
	overflow: hidden;
	width: 100%;
	}

#mvp-site-main {
	width: 100%;
	}

#mvp-site-main {
	-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
	margin-top: 0;
	z-index: 9999;
	}

.home #mvp-site-main {
	transition: margin-top .7s;
	}

.relative {
	position: relative;
	}

.w100 {
	width: 100%;
	}

.right, .alignright {
	float: right;
	}

.alignright {
	margin: 20px 0 20px 20px;
	}

.left, .alignleft {
	float: left;
	}

.alignleft {
	margin: 20px 20px 20px 0;
	}

.aligncenter {
	display: block;
	margin: 0 auto;
	}

.mvp-mob-img {
	display: none;
	}

#mvp-fly-wrap,
#mvp-search-wrap {
	-webkit-transition: -webkit-transform 0.25s ease;
	   -moz-transition: -moz-transform 0.25s ease;
	    -ms-transition: -ms-transform 0.25s ease;
	     -o-transition: -o-transform 0.25s ease;
			transition: transform 0.25s ease;
	}

#mvp-main-head-wrap {
	position: fixed;
		top: 0;
		left: 0;
	width: 100%;
	z-index: 999;
	}

#mvp-main-nav-wrap,
#mvp-main-nav-top-wrap {
	width: 100%;
	}

.mvp-main-box {
	margin: 0 auto;
	max-width: 900px;
	height: 100%;
	}

h1.mvp-logo-title,
h2.mvp-logo-title {
	display: block;
	font-size: 0px;
	}

.mvp-nav-logo-small,
.mvp-nav-small .mvp-nav-logo-reg {
	display: none;
	}

.mvp-nav-small .mvp-nav-logo-small {
	display: inline;
	}

#mvp-main-nav-bot {
	-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
	width: 100%;
	height: 50px;
	z-index: 9000;
	}

#mvp-main-nav-bot-cont {
	-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
	width: 100%;
	height: 50px;
	}

.mvp-nav-small .mvp-nav-top-wrap,
.mvp-nav-small .mvp-nav-top-mid {
	height: 30px;
	}

.mvp-nav-small .mvp-nav-top-mid img {
	height: 100%;
	}

#mvp-nav-bot-wrap,
.mvp-nav-bot-cont {
	width: 100%;
	}

.mvp-nav-bot-right-out {
	margin-right: -50px;
	width: 100%;
	}

.mvp-nav-bot-right-in {
	margin-right: 50px;
	}

.mvp-nav-bot-left-out {
	float: right;
	margin-left: -50px;
	width: 100%;
	}

.mvp-nav-bot-left-in {
	margin-left: 50px;
	}

.mvp-nav-bot-left,
.mvp-nav-bot-right {
	width: 50px;
	height: 50px;
	}

.mvp-fixed-post {
	text-align: left;
	}

.mvp-fixed-post img {
	float: left;
	margin-left: 0;
	}

#mvp-main-nav-small,
#mvp-nav-small-wrap,
#mvp-main-nav-small-cont,
.mvp-nav-small-cont {
	width: 100%;
	}

#mvp-main-nav-small {
	-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
	overflow: hidden;
	height: 50px;
	z-index: 99999;
	}

#mvp-main-nav-small:hover {
	overflow: visible;
	}

.mvp-nav-small-cont {
	display: grid;
	grid-column-gap: 20px;
	grid-template-columns: 24px auto;
	height: 50px;
	}

#mvp-nav-small-left {
	margin: 18px 0;
	width: 24px;
	height: 14px;
	}

#mvp-main-nav-small .mvp-nav-menu ul {
	text-align: left;
	}

#mvp-main-nav-small .mvp-drop-nav-title {
	margin: 0;
	overflow: hidden;
	max-width: 680px;
	height: 0;
	}

.mvp-nav-small-fixed .mvp-drop-nav-title {
	-webkit-backface-visibility: hidden;
			backface-visibility: hidden;
	display: inline;
	-webkit-transform: translate3d(0,-70px,0);
	   -moz-transform: translate3d(0,-70px,0);
	    -ms-transform: translate3d(0,-70px,0);
	     -o-transform: translate3d(0,-70px,0);
			transform: translate3d(0,-70px,0);
	}

.mvp-nav-small-post {
	margin: 10px 0;
	height: 30px;
	-webkit-transform: translate3d(0,0,0);
	   -moz-transform: translate3d(0,0,0);
	    -ms-transform: translate3d(0,0,0);
	     -o-transform: translate3d(0,0,0);
			transform: translate3d(0,0,0);
	}

.mvp-nav-small-mid {
	margin-right: 44px;
	text-align: center;
	}

.mvp-nav-small-mid-right {
	max-width: 780px;
	}

#mvp-main-nav-small .mvp-nav-menu {
	overflow: hidden;
	}

#mvp-main-nav-small .mvp-nav-menu:hover {
	overflow: visible;
	}

.mvp-nav-small-logo {
	display: inline-block;
	line-height: 0;
	margin: 10px 0;
	height: 30px;
	max-width: 200px;
	}

#mvp-nav-small-right {
	margin-left: 20px;
	width: 30px;
	height: 50px;
	}

.mvp-nav-small-post-tog {
	display: inline;
	overflow: hidden;
	height: auto;
	}

#mvp-fly-wrap {
	position: relative;
	width: 370px;
	height: 100%;
	z-index: 999999;
	}

.mvp-fly-but-wrap {
	cursor: pointer;
	width: 24px;
	height: 14px;
	}

#mvp-fly-wrap .mvp-fly-but-wrap {
	margin: 15px 0;
	}

.mvp-nav-top-left .mvp-fly-but-wrap {
	display: none;
	margin-top: -10px;
	opacity: 0;
	position: absolute;
		top: 50%;
		left: 0;
	height: 20px;
	}

.mvp-nav-bot-left {
	margin: 15px 0;
	height: 20px;
	}

.mvp-search-but-wrap {
	position: absolute;
		top: 60px;
		right: 80px;
	width: 60px;
	height: 60px;
	}

.mvp-fly-but-wrap span {
	-webkit-border-radius: 2px;
	   -moz-border-radius: 2px;
	    -ms-border-radius: 2px;
	     -o-border-radius: 2px;
		border-radius: 2px;
	display: block;
	position: absolute;
		left: 0;
	height: 2px;
	}

.mvp-nav-top-left .mvp-fly-but-wrap {
	opacity: 1;
	}

.mvp-fly-but-wrap span:nth-child(1) {
	top: 0;
	width: 24px;
	}

.mvp-fly-but-wrap span:nth-child(2),
.mvp-fly-but-wrap span:nth-child(3) {
	top: 12px;
	width: 24px;
	}

.mvp-fly-but-wrap span:nth-child(4) {
	top: 6px;
	width: 24px;
	}

#mvp-fly-menu-top .mvp-fly-but-wrap span:nth-child(1),
#mvp-fly-menu-top .mvp-fly-but-wrap span:nth-child(4) {
	top: .5px;
	left: 50%;
	width: 0%;
	}

#mvp-fly-menu-top .mvp-fly-but-wrap span:nth-child(2) {
	-webkit-transform: rotate(45deg);
	   -moz-transform: rotate(45deg);
	    -ms-transform: rotate(45deg);
	     -o-transform: rotate(45deg);
		transform: rotate(45deg);
	width: 30px;
	}

#mvp-fly-menu-top .mvp-fly-but-wrap span:nth-child(3) {
	-webkit-transform: rotate(-45deg);
	   -moz-transform: rotate(-45deg);
	    -ms-transform: rotate(-45deg);
	     -o-transform: rotate(-45deg);
		transform: rotate(-45deg);
	width: 30px;
	}

#mvp-fly-menu-top {
	width: 100%;
	height: 50px;
	}

.mvp-fly-top-out {
	margin-right: -100px;
	left: 50px;
	width: 100%;
	}

.mvp-fly-top-in {
	margin-right: 100px;
	}

.mvp-fly-but-menu {
	float: right;
	position: relative;
	}
	
#mvp-fly-wrap .mvp-fly-but-menu {
	margin: 15px;
	}

#mvp-fly-menu-wrap {
	overflow: hidden;
	width: 100%;
	}

nav.mvp-fly-nav-menu {
	margin: 0 5.40540540541% 0; /* 20px / 370px */
	overflow: hidden;
	position: absolute;
	width: 89.1891891892%; /* 330px / 370px */
	}

nav.mvp-fly-nav-menu ul {
	float: left;
	position: relative;
	width: 100%;
	}

nav.mvp-fly-nav-menu ul div.mvp-mega-dropdown {
	display: none;
	}

nav.mvp-fly-nav-menu ul li {
	border-top: 1px solid rgba(255,255,255,.1);
	cursor: pointer;
	float: left;
	position: relative;
	width: 100%;
	-webkit-tap-highlight-color: rgba(0,0,0,0);
	}

nav.mvp-fly-nav-menu ul li:first-child {
	border-top: none;
	}

nav.mvp-fly-nav-menu ul li ul li:first-child {
	margin-top: 0;
	}

nav.mvp-fly-nav-menu ul li a {
	color: #fff;
	display: inline-block;
	float: left;
	font-size: 20px;
	line-height: 1;
	padding: 14px 0;
	text-transform: uppercase;
	}

nav.mvp-fly-nav-menu ul li ul.sub-menu {
	display: none;
	}

.mvp-fly-fade {
	background: #000;
	cursor: pointer;
	opacity: 0;
	width: 100%;
	position: fixed;
		top: 0;
		left: 0;
	z-index: 99999;
	}

.mvp-fly-fade-trans {
	opacity: .7;
	height: 100%;
	}

.mvp-fly-shadow {
	box-shadow: 0 0 16px 0 rgba(0,0,0,0.7);
	}

#mvp-main-body-wrap {
	background: #fff;
	padding-bottom: 60px;
	margin-top: 101px;
	width: 100%;
	}

#mvp-home-widget-wrap,
.mvp-widget-home {
	width: 100%;
	}

#mvp-article-wrap,
#mvp-article-cont {
	width: 100%;
	}

#mvp-article-wrap {
	float: left;
	position: relative;
	}

#mvp-post-main {
	margin: 30px 0;
	width: 100%;
	}

.page #mvp-post-main {
	margin-bottom: 0;
	}

#mvp-post-head {
	display: grid;
	margin: 0 auto 30px;
	max-width: 740px;
	text-align: center;
	}

h3.mvp-post-cat {
	margin-bottom: 10px;
	text-align: center;
	width: 100%;
	}

span.mvp-post-cat {
	color: #000;
	display: inline-block;
	font-size: 1.1rem;
	line-height: 1;
	padding: 0 0 2px;;
	text-transform: uppercase;
	}

h1.mvp-post-title {
	color: #000;
	font-size: 3.1rem;
	letter-spacing: -.02em;
	line-height: 1.15;
	width: 100%;
	}

#mvp-post-content h1.mvp-post-title {
	font-size: 2.9rem;
	margin-right: 0;
	width: 100%;
	}

span.mvp-post-excerpt {
	color: #555;
	font-size: 1.2rem;
	line-height: 1.55;
	margin-top: 15px;
	width: 100%;
	}

.mvp-author-info-wrap,
ul.mvp-author-info-list {
	width: 100%;
	}

.mvp-post-info-wrap {
	display: grid;
	align-items: center;
	grid-column-gap: 14px;
	grid-template-columns: 46px auto;
	justify-content: center;
	margin: 20px 0 0;
	width: 100%;
}

.mvp-post-info-wrap2 {
	justify-content: start;
	margin: 0;
}

.mvp-author-thumb {
	border: 3px solid #eee;
	-webkit-border-radius: 50%;
	   -moz-border-radius: 50%;
	    -ms-border-radius: 50%;
	     -o-border-radius: 50%;
			border-radius: 50%;
	overflow: hidden;
	width: 46px;
	height: 46px;
}

.mvp-author-info-wrap,
.mvp-author-name-wrap,
.mvp-author-name-wrap p,
.mvp-author-name,
.mvp-post-date-wrap,
.mvp-post-date-wrap p {
	display: inline-block;
	float: left;
}

.mvp-author-info-wrap {
	color: #555;
	font-size: 1rem;
	line-height: 1;
}

.mvp-author-name-wrap,
.mvp-author-name-wrap p,
.mvp-post-date-wrap p {
	margin: 0 5px 0 0;
}

.mvp-author-name-wrap a {
	color: #000;
	font-weight: 700;
}

#mvp-post-content {
	width: 100%;
	}

#mvp-post-feat-img {
	line-height: 0;
	text-align: center;
	width: 100%;
	}

.mvp-post-feat-text-main {
	margin: 0 auto;
	max-width: 1200px;
	}

.mvp-post-feat-text {
	width: 37%;
	}

.mvp-post-feat-text span.mvp-post-excerpt {
	color: #fff;
	font-size: 1.1rem;
	margin-top: 10px;
	}

.mvp-post-img-hide {
	display: none;
	}

span.mvp-post-img-cap {
	background: #fff;
	color: #888;
	float: right;
	font-size: .85rem;
	line-height: 1;
	padding: 8px 20px 0;
	text-align: right;
	width: calc(100% - 40px);
}

#mvp-content-wrap,
#mvp-content-body,
#mvp-content-main,
#mvp-content-body-top,
.mvp-post-add-body {
	width: 100%;
	}

#mvp-content-wrap {
	margin: 30px 0;
}

#mvp-content-main {
	line-height: 1.55;
	}

#mvp-content-main p {
	color: #000;
	display: block;
	font-size: 1.2rem;
	line-height: 1.55;
	margin: 0 auto 20px;
	max-width: 740px;
	}

#mvp-content-main p a {
	color: #000;
	}

#mvp-content-bot {
	float: left;
	margin: 20px 0 0;
	width: 100%;
	}

.mvp-post-bot-wrap {
	width: 100%;
}

.mvp-post-bot {
	margin: 0 auto;
	max-width: 740px;
}

.mvp-post-tags {
	color: #999;
	float: left;
	font-size: 1.1rem;
	line-height: 1;
	width: 100%;
	}

.mvp-post-tags a,
.mvp-post-tags a:visited {
	color: #999;
	display: inline-block;
	margin: 0 0 5px;
	position: relative;
	}

.mvp-post-tags a:hover {
	color: #333;
	}

.mvp-post-tags-header {
	color: #333;
	float: left;
	font-weight: 700;
	margin-right: 5px;
	}

#mvp-comments-button {
	margin-top: 60px;
	text-align: center;
	width: 100%;
	}

.mvp-disqus-comm-wrap {
	display: none;
	float: left;
	width: 100%;
}

#mvp-comments-button a,
#mvp-comments-button span.mvp-comment-but-text {
	background: #000;
	color: #fff;
	cursor: pointer;
	display: inline-block;
	font-size: 14px;
	line-height: 100%;
	padding: 15px 0;
	width: 100%;
	}

#mvp-comments-button span.mvp-comment-but-text i {
	margin: 0 5px 0 0;
}

#mvp-comments-button span.mvp-comment-but-text:hover {
	background: #222;
	}

.posts-nav-link {
	display: none;
	}
	
h4.mvp-post-header {
	float: left;
	margin: 0 0 15px;
	position: relative;
	width: 100%;
}

span.mvp-post-header {
	color: #222;
	display: inline-block;
	font-size: 1.2rem;
	line-height: 1;
	position: relative;
	z-index: 1;
}

#mvp-post-more-wrap,
ul.mvp-post-more-list {
	width: 100%;
	}

ul.mvp-post-more-list {
	display: grid;
	grid-template-columns: auto auto auto;
	grid-gap: 30px 20px;
	justify-content: center;
	}

ul.mvp-post-more-list li {
	overflow: hidden;
	}

.mvp-post-more-img {
	line-height: 0;
	margin-bottom: 10px;
	width: 100%;
	}

.mvp-post-more-text {
	width: 100%;
	}

.mvp-post-more-text p {
	color: #000;
	float: left;
	font-size: 1.1rem;
	font-weight: 700;
	letter-spacing: -.02em;
	line-height: 1.2;
	width: 100%;
	}

h3.mvp-cat-bub {
	float: left;
	font-size: .7rem;
	margin: 5px 0 0;
	width: 100%;
}

span.mvp-cat-bub {
	color: #888;
	display: inline-block;
	font-size: .7rem;
	font-weight: 400;
	letter-spacing: .1em;
	padding: 0 0 1px;
	line-height: 1;
	text-transform: uppercase;
}

#mvp-soc-mob-wrap {
	background: #fff;
	border-bottom: 1px solid #ddd;
	padding: 7px 0;
	width: 100%;
	height: 36px;
	}
	
amp-social-share.rounded {
	border-radius: 50%;
	background-size: 80%;
	}
	
.mvp-soc-mob-cont {
	text-align: center;
	width: 100%;
	}

#mvp-content-main ul {
	list-style: disc outside;
	margin: 10px 0;
	}

#mvp-content-main ol {
	list-style: decimal outside;
	margin: 10px 0;
	}

#mvp-content-main ul li,
#mvp-content-main ol li {
	font-size: 1.125rem;
	line-height: 1.55;
	margin-left: 50px;
	}

#mvp-content-main h1,
#mvp-content-main h2,
#mvp-content-main h3,
#mvp-content-main h4,
#mvp-content-main h5,
#mvp-content-main h6 {
	font-weight: 700;
	letter-spacing: -.02em;
	line-height: 1.4;
	margin: 10px 0;
	overflow: hidden;
	text-transform: none;
	width: 100%;
	}

#mvp-content-main h1,
.mvp-post-add-main hi {
	font-size: 2rem;
	}

#mvp-content-main h2,
.mvp-post-add-main h2 {
	font-size: 1.8rem;
	}

#mvp-content-main h3,
.mvp-post-add-main h3 {
	font-size: 1.6rem;
	}

#mvp-content-main h4,
.mvp-post-add-main h4 {
	font-size: 1.4rem;
	}

#mvp-content-main h5,
.mvp-post-add-main h5 {
	font-size: 1.2rem;
	}

#mvp-content-main h6,
.mvp-post-add-main h6 {
	font-size: 1rem;
	}

#mvp-content-main blockquote {
	float: left;
	margin: 20px;
	width: calc(40% - 40px);
}

#mvp-content-main blockquote p {
	color: #000;
	font-size: 2.3rem;
	line-height: 1.05;
	margin: 0;
	padding: 0;
	}

#mvp-content-main blockquote p cite {
	color: #555;
	display: inline-block;
	font-size: 1rem;
	font-weight: 400;
	}

#mvp-content-main dt,
.mvp-post-add-main dt {
	font-weight: bold;
	margin: 5px 0;
	}

#mvp-content-main dd,
.mvp-post-add-main dd {
	line-height: 1.5;
	margin-left: 20px;
	}

#mvp-content-main abbr,
#mvp-content-main acronym,
.mvp-post-add-main abbr,
.mvp-post-add-main acronym {
	font-weight: bold;
	text-transform: uppercase;
	}

#mvp-content-main code,
.mvp-post-add-main code {
	font-size: 1.1rem;
	}

#mvp-content-main sub,
.mvp-post-add-main sub {
	font-size: smaller;
	vertical-align: sub;
	}

#mvp-content-main sup,
.mvp-post-add-main sup {
	font-size: smaller;
	vertical-align: super;
	}

#mvp-content-main table,
.mvp-post-add-main table {
	font-size: .9rem;
	width: 100%;
	}
#mvp-content-main thead,
.mvp-post-add-main thead {
	background: #ccc;
	}

#mvp-content-main tbody tr,
.mvp-post-add-main tbody tr {
	background: #eee;
	}

#mvp-content-main tbody tr:nth-child(2n+2),
.mvp-post-add-main tbody tr:nth-child(2n+2) {
	background: none;
	}

#mvp-content-main td,
#mvp-content-main th,
.mvp-post-add-main td,
.mvp-post-add-main th {
	padding: 5px 1.5%;
	}

#mvp-content-main tr.odd,
.mvp-post-add-main tr.odd {
	background: #eee;
	}

.wp-caption,
#mvp-content-main p.wp-caption-text,
.gallery-caption,
.mvp-post-add-main p.wp-caption-text {
	color: #777;
	font-size: .8rem;
	margin-top: 5px;
	margin-bottom: 30px;
	max-width: 100%;
	text-align: left;
	}

.screen-reader-text {
	clip: rect(1px, 1px, 1px, 1px);
	position: absolute;
	height: 1px;
	width: 1px;
	overflow: hidden;
	}

.screen-reader-text:focus {
	background-color: #f1f1f1;
	border-radius: 3px;
	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
	clip: auto;
	color: #21759b;
	display: block;
	font-size: 14px;
	font-size: 0.875rem;
	font-weight: bold;
	height: auto;
	left: 5px;
	line-height: normal;
	padding: 15px 23px 14px;
	text-decoration: none;
	top: 5px;
	width: auto;
	z-index: 100000; /* Above WP toolbar. */
	}
			
#mvp-content-main ul,
#mvp-content-main ol,
#mvp-content-main h1,
#mvp-content-main h2,
#mvp-content-main h3,
#mvp-content-main h4,
#mvp-content-main h5,
#mvp-content-main h6 {
	margin: 0 auto 20px;
	max-width: 740px;		
	}

.sticky {
	font-weight: 700;
	}

.posts-nav-link {
	display: none;
	}

.mvp-org-wrap {
	display: none;
	}

.theiaPostSlider_nav {
	float: left;
	width: 100%;
	}

.post-password-form label {
	font-size: 1rem;
	font-weight: 700;
	}

.post-password-form p {
	font-size: 1rem;
	}

.post-password-form {
	float: left;
	margin: 100px 0;
	text-align: center;
	width: 100%;
	}

.post-password-form input {
   	background: #888;
	border: none;
	color: #fff;
    cursor: pointer;
	font-size: 12px;
	font-weight: 700;
	line-height: 1;
	padding: 5px 10px;
	text-transform: uppercase;
	}

.post-password-form label input {
	background: #fff;
	border: 1px solid #ddd;
	color: #000;
	margin: 0 10px;
	}

h1.mvp-page-head {
	float: left;
	margin: 10px 0 30px;
	width: 100%;
	}

span.mvp-page-head {
	color: #000;
	float: left;
	font-size: 1.6rem;
	font-weight: 700;
	letter-spacing: -.02em;
	line-height: 1;
	text-align: center;
	text-transform: uppercase;
	width: 100%;
	}

#mvp-foot-bot,
#mvp-foot-copy {
	width: 100%;
	}

#mvp-foot-wrap {
	background: #111;
	width: 100%;
	}

#mvp-foot-bot {
	background: #000;
	padding: 20px 0;
	}

#mvp-foot-copy {
	text-align: center;
	width: 100%;
	}

#mvp-foot-copy p {
	color: #777;
	font-size: .9rem;
	font-weight: 400;
	line-height: 1.4;
	}

#mvp-foot-copy a:hover {
	color: #fff;
	}
			
@media screen and (max-width: 940px) and (min-width: 480px) {

.mvp-main-box {
	display: grid;
	grid-template-columns: 100%;
	padding: 0 20px;
	max-width: none;
	}

}

@media screen and (max-width: 767px) and (min-width: 660px) {

h1.mvp-post-title {
	margin: 0;
	width: 100%;
	}
	
ul.mvp-post-more-list {
	display: grid;
	grid-template-columns: auto auto;
	grid-gap: 30px 20px;
	justify-content: center;
	}
	
	#mvp-content-main blockquote {
		margin: 20px 20px 20px 0;
		width: calc(40% - 20px);
	}
	
	#mvp-content-main blockquote p {
	font-size: 1.9rem;	
	}

}

@media screen and (max-width: 659px) and (min-width: 600px) {

h1.mvp-post-title {
	font-size: 3rem;
	margin: 0;
	width: 100%;
	}
	
ul.mvp-post-more-list {
	display: grid;
	grid-template-columns: auto auto;
	grid-gap: 30px 20px;
	justify-content: center;
	}
	
	#mvp-content-main blockquote {
		margin: 20px 20px 20px 0;
		width: calc(40% - 20px);
	}
	
	#mvp-content-main blockquote p {
	font-size: 1.7rem;	
	}

}

@media screen and (max-width: 599px) and (min-width: 480px) {

h1.mvp-post-title {
	font-size: 2.5rem;
	margin: 0;
	width: 100%;
	}
	
ul.mvp-post-more-list {
	display: grid;
	grid-template-columns: auto auto;
	grid-gap: 30px 20px;
	justify-content: center;
	}
	
.mvp-post-more-text p {
	font-size: 1rem;
	}
	
	#mvp-content-main blockquote {
		margin: 20px 20px 20px 0;
		width: calc(40% - 20px);
	}
	
	#mvp-content-main blockquote p {
	font-size: 1.4rem;	
	}

}

@media screen and (max-width: 479px) {

.mvp-main-box {
	display: grid;
	grid-template-columns: 100%;
	padding: 0 15px;
	max-width: none;
	}
	
#mvp-main-body-wrap {
	margin-top: 105px;
	}
	
amp-sidebar,
#mvp-fly-wrap {
	width: 100%;
	}
	
	#mvp-post-head {
		margin: 0 auto 15px;
	}
	
	span.mvp-post-cat {
		font-size: .9rem;
	}
	
h1.mvp-post-title {
	font-size: 2rem;
	margin: 0;
	width: 100%;
	}
	
span.mvp-post-excerpt {
	font-size: 1rem;
	}
	
	.mvp-post-info-wrap {
		margin: 10px 0 0;
	}
	
#mvp-content-main p,
.mvp-post-add-main p {
	font-size: 1rem;
	}
	
	#mvp-content-main blockquote {
		margin: 15px 15px 15px 0;
		width: calc(40% - 15px);
	}
	
	#mvp-content-main blockquote p {
	font-size: 1.2rem;	
	}
	
ul.mvp-post-more-list {
	display: grid;
	grid-template-columns: auto;
	grid-gap: 15px 0;
	justify-content: center;
	}
	
ul.mvp-post-more-list li {
	display: grid;
	grid-template-columns: 80px auto;
	grid-column-gap: 15px;
	}
	
.mvp-post-more-img {
	margin: 0;
	}
	
.mvp-post-more-text p {
	font-size: 1rem;
	}
	
.mvp-reg-img {
	display: none;
	}
	
.mvp-mob-img {
	display: block;
	}
	
}
			
			<?php do_action( 'amp_post_template_css', $this ); ?>
		</style>
	</head>
	<body <?php body_class(''); ?>>
		<?php get_template_part('amp-fly-menu'); ?>
		<div id="mvp-site" class="left relative">
			<div id="mvp-site-wall" class="left relative">
				<div id="mvp-site-main" class="left relative">
					<header id="mvp-main-head-wrap">
						<nav id="mvp-main-nav-wrap" class="left relative">
							<div id="mvp-main-nav-small" class="left relative">
								<div id="mvp-main-nav-small-cont" class="left">
									<div class="mvp-main-box">
										<div id="mvp-nav-small-wrap">
											<div class="mvp-nav-small-cont">
												<div id="mvp-nav-small-left">
													<div class="mvp-fly-but-wrap left relative ampstart-btn caps m2" on="tap:sidebar.toggle" role="button" tabindex="0">
														<span></span>
														<span></span>
														<span></span>
														<span></span>
													</div><!--mvp-fly-but-wrap-->
												</div><!--mvp-nav-small-left-->
												<div class="mvp-nav-small-mid">
													<div class="mvp-nav-small-logo">
														<?php if(get_option('mvp_logo_nav')) { ?>
															<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><amp-img src="<?php echo esc_url(get_option('mvp_logo_nav')); ?>" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" width="<?php echo esc_html(get_option('mvp_logow')); ?>" height="30" layout="fixed"></amp-img></a>
														<?php } else { ?>
															<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><amp-img src="<?php echo get_template_directory_uri(); ?>/images/logos/logo.png" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" width="<?php echo esc_html(get_option('mvp_logow')); ?>" height="30" layout="fixed"></amp-img></a>
														<?php } ?>
														<h2 class="mvp-logo-title"><?php bloginfo( 'name' ); ?></h2>
													</div><!--mvp-nav-small-logo-->
												</div><!--mvp-nav-small-mid-->
											</div><!--mvp-nav-small-cont-->
										</div><!--mvp-nav-small-wrap-->
									</div><!--mvp-main-box-->
								</div><!--mvp-main-nav-small-cont-->
							</div><!--mvp-main-nav-small-->
						</nav><!--mvp-main-nav-wrap-->
						<div id="mvp-soc-mob-wrap" class="left relative">
							<div class="mvp-main-box">
								<div class="mvp-soc-mob-cont">
									<amp-social-share class="rounded" type="email" width="36" height="36"></amp-social-share>
									<?php $mvp_amp_fb = get_option('mvp_amp_fb'); if ($mvp_amp_fb) { ?>
										<amp-social-share class="rounded" type="facebook" width="36" height="36" data-param-app_id="<?php echo esc_html($mvp_amp_fb); ?>"></amp-social-share>
									<?php } ?>
									<amp-social-share class="rounded" type="twitter" width="36" height="36"></amp-social-share>
									<amp-social-share class="rounded" type="pinterest" data-param-media="<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'mvp-post-thumb' ); echo esc_url($thumb['0']); ?>" width="36" height="36"></amp-social-share>
									<amp-social-share class="rounded" type="whatsapp" width="36" height="36"></amp-social-share>
								</div><!--mvp-soc-mob-cont-->
							</div><!--mvp-main-box-->
						</div><!--mvp-soc-mob-wrap-->
					</header><!--mvp-main-head-wrap-->
					<div id="mvp-main-body-wrap" class="left relative">
						<?php global $author; $userdata = get_userdata($author); ?>
						<article id="mvp-article-wrap" itemscope itemtype="http://schema.org/NewsArticle">
							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
								<meta itemscope itemprop="mainEntityOfPage"  itemType="https://schema.org/WebPage" itemid="<?php the_permalink(); ?>"/>
								<div id="mvp-article-cont" class="left relative">
									<div class="mvp-main-box">
										<div id="mvp-post-main" class="left relative">
											<header id="mvp-post-head">
												<h3 class="mvp-post-cat left relative"><a class="mvp-post-cat-link" href="<?php $category = get_the_category(); $category_id = get_cat_ID( $category[0]->cat_name ); $category_link = get_category_link( $category_id ); echo esc_url( $category_link ); ?>"><span class="mvp-post-cat"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></a></h3>
												<h1 class="mvp-post-title left entry-title" itemprop="headline"><?php the_title(); ?></h1>
												<?php if ( has_excerpt() ) { ?>
													<span class="mvp-post-excerpt left"><?php the_excerpt(); ?></span>
												<?php } ?>
												<div class="mvp-post-info-wrap">
								<?php $author_info = get_option('mvp_author_info'); if ($author_info == "true") { ?>
									<div class="mvp-author-thumb">
										<amp-img src="<?php echo esc_url(get_avatar_url( get_the_author_meta('email') )); ?>" width="46" height="46"  layout="responsive"></amp-img>
									</div><!--mvp-author-thumb-->
									<div class="mvp-author-info-wrap">
										<div class="mvp-author-name-wrap" itemprop="author" itemscope itemtype="https://schema.org/Person">
											<p><?php esc_html_e( 'By', 'jawn' ); ?></p><span class="mvp-author-name vcard fn author"><?php the_author_posts_link(); ?></span>
										</div><!--mvp-author-name-wrap-->
										<div class="mvp-post-date-wrap">
											<p><?php esc_html_e( 'on', 'jawn' ); ?></p> <span class="mvp-post-date updated"><time class="post-date updated" itemprop="datePublished" datetime="<?php the_time('Y-m-d'); ?>"><?php the_time(get_option('date_format')); ?></time></span>
											<meta itemprop="dateModified" content="<?php the_modified_date('Y-m-d'); ?>"/>
										</div><!--mvp-post-date-wrap-->
									</div><!--mvp-author-info-wrap-->
								<?php } else { ?>
									<div class="mvp-author-info-wrap">
										<div class="mvp-post-date-wrap">
											<p><?php esc_html_e( 'Published on', 'jawn' ); ?></p> <span class="mvp-post-date updated"><time class="post-date updated" itemprop="datePublished" datetime="<?php the_time('Y-m-d'); ?>"><?php the_time(get_option('date_format')); ?></time></span>
											<meta itemprop="dateModified" content="<?php the_modified_date('Y-m-d'); ?>"/>
										</div><!--mvp-post-date-wrap-->
									</div><!--mvp-author-info-wrap-->
								<?php } ?>
							</div><!--mvp-post-info-wrap-->
											</header>

													<div id="mvp-post-content" class="left relative">
														<?php global $post; $mvp_featured_img = get_option('mvp_featured_img'); $mvp_show_hide = get_post_meta($post->ID, "mvp_featured_image", true); if ($mvp_featured_img == "true") { if ($mvp_show_hide !== "hide") { ?>
																<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
																	<div id="mvp-post-feat-img" class="left relative mvp-post-feat-img-wide2" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
																		<?php $thumb_id = get_post_thumbnail_id(); $mvp_thumb_array = wp_get_attachment_image_src($thumb_id, 'mvp-post-thumb', true); $mvp_thumb_url = $mvp_thumb_array[0]; $mvp_thumb_width = $mvp_thumb_array[1]; $mvp_thumb_height = $mvp_thumb_array[2]; ?>
																		<amp-img src="<?php echo esc_url($mvp_thumb_url) ?>" width="<?php echo esc_html($mvp_thumb_width) ?>" height="<?php echo esc_html($mvp_thumb_height) ?>" layout="responsive"></amp-img>
																		<meta itemprop="url" content="<?php echo esc_url($mvp_thumb_url) ?>">
																		<meta itemprop="width" content="<?php echo esc_html($mvp_thumb_width) ?>">
																		<meta itemprop="height" content="<?php echo esc_html($mvp_thumb_height) ?>">
																	</div><!--mvp-post-feat-img-->
																	<?php if ( $mvpcaption = get_post( get_post_thumbnail_id() )->post_excerpt ); { ?>
																		<span class="mvp-post-img-cap"><?php echo esc_html($mvpcaption); ?></span>
																	<?php } ?>
																<?php } ?>
														<?php } else { ?>
															<div class="mvp-post-img-hide" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
																<?php $thumb_id = get_post_thumbnail_id(); $mvp_thumb_array = wp_get_attachment_image_src($thumb_id, 'mvp-post-thumb', true); $mvp_thumb_url = $mvp_thumb_array[0]; $mvp_thumb_width = $mvp_thumb_array[1]; $mvp_thumb_height = $mvp_thumb_array[2]; ?>
																<meta itemprop="url" content="<?php echo esc_url($mvp_thumb_url) ?>">
																<meta itemprop="width" content="<?php echo esc_html($mvp_thumb_width) ?>">
																<meta itemprop="height" content="<?php echo esc_html($mvp_thumb_height) ?>">
															</div><!--mvp-post-img-hide-->
														<?php } ?>
													<?php } else { ?>
														<div class="mvp-post-img-hide" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
															<?php $thumb_id = get_post_thumbnail_id(); $mvp_thumb_array = wp_get_attachment_image_src($thumb_id, 'mvp-post-thumb', true); $mvp_thumb_url = $mvp_thumb_array[0]; $mvp_thumb_width = $mvp_thumb_array[1]; $mvp_thumb_height = $mvp_thumb_array[2]; ?>
															<meta itemprop="url" content="<?php echo esc_url($mvp_thumb_url) ?>">
															<meta itemprop="width" content="<?php echo esc_html($mvp_thumb_width) ?>">
															<meta itemprop="height" content="<?php echo esc_html($mvp_thumb_height) ?>">
														</div><!--mvp-post-img-hide-->
													<?php } ?>
													<div id="mvp-content-wrap" class="left relative">
														<div id="mvp-content-body" class="left relative">
															<div id="mvp-content-body-top" class="left relative">
																<div id="mvp-content-main" class="left relative">
																	<?php echo html_entity_decode($this->get( 'post_amp_content' )); ?>
																	<?php wp_link_pages(); ?>
																</div><!--mvp-content-main-->
																<div class="mvp-post-bot-wrap left relative">
																	<div class="mvp-post-bot">
																		<div id="mvp-content-bot">
																			<div class="mvp-post-tags">
																				<span class="mvp-post-tags-header"><?php esc_html_e( 'Related Topics:', 'jawn' ); ?></span><span itemprop="keywords"><?php the_tags('',', ','') ?></span>
																		</div><!--mvp-post-tags-->
																		<?php if ( comments_open() ) { ?>
														<?php $disqus_id = get_option('mvp_disqus_id'); if ($disqus_id) { if (isset($disqus_id)) {  ?>
															<a href="<?php the_permalink() ?>/#mvp-comments-button">
															<div id="mvp-comments-button" class="left relative">
																<span class="mvp-comment-but-text"><?php comments_number(__( 'Comments', 'jawn'), esc_html__('Comments', 'jawn'), esc_html__('Comments', 'jawn')); ?></span>
															</div><!--mvp-comments-button-->
															</a>
														<?php } } else { ?>
															<a href="<?php the_permalink() ?>/#mvp-comments-button">
															<div id="mvp-comments-button" class="left relative">
																<span class="mvp-comment-but-text"><?php comments_number(__( 'Click to comment', 'jawn'), esc_html__('1 Comment', 'jawn'), esc_html__('% Comments', 'jawn'));?></span>
															</div><!--mvp-comments-button-->
															</a>
														<?php } ?>
													<?php } ?>
																		<div class="mvp-org-wrap" itemprop="publisher" itemscope itemtype="https://schema.org/Organization">
																			<div class="mvp-org-logo" itemprop="logo" itemscope itemtype="https://schema.org/ImageObject">
																				<?php if(get_option('mvp_logo_nav')) { ?>
																					<amp-img src="<?php echo esc_url(get_option('mvp_logo_nav')); ?>" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" width="<?php echo esc_html(get_option('mvp_logow')); ?>" height="30" layout="fixed"></amp-img>
																					<meta itemprop="url" content="<?php echo esc_url(get_option('mvp_logo_nav')); ?>">
																				<?php } else { ?>
																					<amp-img src="<?php echo get_template_directory_uri(); ?>/images/logos/logo-nav.png" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" width="<?php echo esc_html(get_option('mvp_logow')); ?>" height="30" layout="fixed"></amp-img>
																					<meta itemprop="url" content="<?php echo get_template_directory_uri(); ?>/images/logos/logo-nav.png">
																				<?php } ?>
																			</div><!--mvp-org-logo-->
																			<meta itemprop="name" content="<?php bloginfo( 'name' ); ?>">
																		</div><!--mvp-org-wrap-->
																	</div><!--mvp-content-bot-->
																</div><!--mvp-post-bot-->
															</div><!--mvp-post-bot-wrap-->
														</div><!--mvp-content-body-top-->
													</div><!--mvp-content-body-->
												</div><!--mvp-content-wrap-->
											</div><!--mvp-post-content-->

								</div><!--mvp-post-main-->
									<?php $mvp_trend_posts = get_option('mvp_trend_posts'); if ($mvp_trend_posts == "true") { ?>
										<div id="mvp-post-more-wrap" class="left relative">
											<h4 class="mvp-post-header">
												<span class="mvp-post-header"><?php echo esc_html(get_option('mvp_pop_head')); ?></span>
											</h4>
											<ul class="mvp-post-more-list left relative">
												<?php global $post; $pop_days = esc_html(get_option('mvp_pop_days')); $popular_days_ago = "$pop_days days ago"; $recent = new WP_Query(array('posts_per_page' => '6', 'ignore_sticky_posts'=> 1, 'post__not_in' => array( $post->ID ), 'orderby' => 'meta_value_num', 'order' => 'DESC', 'meta_key' => 'post_views_count', 'date_query' => array( array( 'after' => $popular_days_ago )) )); while($recent->have_posts()) : $recent->the_post(); ?>

													<li>
														<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
															<div class="mvp-post-more-img left relative">
																<a href="<?php the_permalink(); ?>" rel="bookmark">
																<?php $thumb_id = get_post_thumbnail_id(); $mvp_thumb_array = wp_get_attachment_image_src($thumb_id, 'mvp-mid-thumb', true); $mvp_thumb_url = $mvp_thumb_array[0]; $mvp_thumb_width = $mvp_thumb_array[1]; $mvp_thumb_height = $mvp_thumb_array[2]; ?>
																<amp-img class="mvp-reg-img" src="<?php echo esc_url($mvp_thumb_url) ?>" width="<?php echo esc_html($mvp_thumb_width) ?>" height="<?php echo esc_html($mvp_thumb_height) ?>" layout="responsive"></amp-img>
																<?php $thumb_id = get_post_thumbnail_id(); $mvp_thumb_array = wp_get_attachment_image_src($thumb_id, 'mvp-small-thumb', true); $mvp_thumb_url = $mvp_thumb_array[0]; $mvp_thumb_width = $mvp_thumb_array[1]; $mvp_thumb_height = $mvp_thumb_array[2]; ?>
																<amp-img class="mvp-mob-img" src="<?php echo esc_url($mvp_thumb_url) ?>" width="<?php echo esc_html($mvp_thumb_width) ?>" height="<?php echo esc_html($mvp_thumb_height) ?>" layout="responsive"></amp-img>
																</a>
															</div><!--mvp-post-more-img-->
														<?php } ?>
														<div class="mvp-post-more-text left relative">
															<a href="<?php the_permalink(); ?>" rel="bookmark">
															<p><?php the_title(); ?></p>
															<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
															</a>
														</div><!--mvp-post-more-text-->
													</li>
												<?php endwhile; wp_reset_postdata(); ?>
											</ul>
										</div><!--mvp-post-more-wrap-->
									<?php } ?>
								</div><!--mvp-main-box-->
							</div><!--mvp-article-cont-->
							<?php setCrunchifyPostViews(get_the_ID()); ?>
						<?php endwhile; endif; ?>
					</article><!--mvp-article-wrap-->
				</div><!--mvp-main-body-wrap-->
				<footer id="mvp-foot-wrap" class="left relative">
					<div id="mvp-foot-bot" class="left relative">
						<div class="mvp-main-box">
							<div id="mvp-foot-copy" class="left relative">
								<p><?php echo wp_kses_post(get_option('mvp_copyright')); ?></p>
							</div><!--mvp-foot-copy-->
						</div><!--mvp-main-box-->
					</div><!--mvp-foot-bot-->
				</footer>
			</div><!--mvp-site-main-->
		</div><!--mvp-site-wall-->
	</div><!--mvp-site-->
	<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>