<?php

/////////////////////////////////////
// Theme Setup
/////////////////////////////////////

if ( ! function_exists( 'mvp_setup' ) ) {
function mvp_setup(){
	load_theme_textdomain('jawn', get_template_directory() . '/languages');

	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file );
	add_theme_support( 'post-formats', array( 'gallery', 'video', 'audio' ) );

}
}
add_action('after_setup_theme', 'mvp_setup');

/////////////////////////////////////
// Theme Options
/////////////////////////////////////

define('mvp', 'white');
require_once get_template_directory() . '/admin/admin-page.php';
require_once get_template_directory() . '/admin/options.php';
$options_page = new WhitelabelOptions( 'Jawn Options', 'jawn-options', 'mvp', 'themes.php', null, 'edit_theme_options', null, true, false, false, $options );

if ( !function_exists( 'mvp_fonts_url' ) ) {
function mvp_fonts_url() {

$mvp_content_font = get_option('mvp_content_font');
$mvp_para_font = get_option('mvp_para_font');
$mvp_menu_font = get_option('mvp_menu_font');
$mvp_headline_font = get_option('mvp_headline_font');
$mvp_feat_font = get_option('mvp_feat_font');
$mvp_title_font = get_option('mvp_title_font');
$mvp_head_font = get_option('mvp_head_font');



$font_url = '';

    if ( 'off' !== _x( 'on', 'Google font: on or off', 'jawn' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Open Sans:700|' .  $mvp_content_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_para_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_menu_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_headline_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_feat_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_title_font . ':100,200,300,400,500,600,700,800,900|' .  $mvp_head_font . ':100,200,300,400,500,600,700,800,900&subset=latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}
}

if ( !function_exists( 'mvp_styles_method' ) ) {
function mvp_styles_method() {
    wp_enqueue_style(
        'mvp-custom-style',
        get_stylesheet_uri()
    );
	$wallad = get_option('mvp_wall_ad');
	$primarycolor = get_option('mvp_primary_color');
	$secondcolor = get_option('mvp_second_color');
	$topnavbg = get_option('mvp_top_nav_bg');
	$topnavtext = get_option('mvp_top_nav_text');
	$topnavhover = get_option('mvp_top_nav_hover');
	$botnavbg = get_option('mvp_bot_nav_bg');
	$botnavtext = get_option('mvp_bot_nav_text');
	$botnavhover = get_option('mvp_bot_nav_hover');
	$link = get_option('mvp_link_color');
	$contentbg = get_option('mvp_content_bg');
	$content_font = get_option('mvp_content_font');
	$content_font_style = get_option('mvp_content_font_style');
	$content_font_variant = get_option('mvp_content_font_variant');
	$para_font = get_option('mvp_para_font');
	$para_font_style = get_option('mvp_para_font_style');
	$para_font_variant = get_option('mvp_para_font_variant');
	$menu_font = get_option('mvp_menu_font');
	$menu_font_style = get_option('mvp_menu_font_style');
	$menu_font_variant = get_option('mvp_menu_font_variant');
	$headline_font = get_option('mvp_headline_font');
	$headline_font_style = get_option('mvp_headline_font_style');
	$headline_font_variant = get_option('mvp_headline_font_variant');
	$feat_font = get_option('mvp_feat_font');
	$feat_font_style = get_option('mvp_feat_font_style');
	$feat_font_variant = get_option('mvp_feat_font_variant');
	$title_font = get_option('mvp_title_font');
	$title_font_style = get_option('mvp_title_font_style');
	$title_font_variant = get_option('mvp_title_font_variant');
	$head_font = get_option('mvp_head_font');
	$head_font_style = get_option('mvp_head_font_style');
	$head_font_variant = get_option('mvp_head_font_variant');
	$mvp_css = get_option('mvp_css');
        $mvp_theme_options = "

#mvp-wallpaper {
	background: url($wallad) no-repeat 50% 0;
	}

span.mvp-post-cat:hover,
.woocommerce-message:before,
.woocommerce-info:before,
.woocommerce-message:before,
.woocommerce .star-rating span:before {
	color: $primarycolor;
	}

.mvp-email-sub-wrap,
.mvp-feat1-top-wrap article:nth-child(3),
.mvp-feat1-top-wrap article:nth-child(3) .mvp-post-type-img,
.mvp-feat1-top-wrap article:nth-child(3) .mvp-feat1-sub-img:after,
.mvp-blog-main-grid article:nth-child(1),
.mvp-blog-main-grid article:nth-child(1) .mvp-post-type-img,
.mvp-blog-main-grid article:nth-child(1) .mvp-blog-story-img:after,
.mvp-post-sub-wrap,
#mvp-search-wrap,
.woocommerce span.onsale,
.mvp-feat3-text-wrap span.mvp-cat-bub,
.mvp-feat4-text-wrap span.mvp-cat-bub,
.mvp-feat1-main-text span.mvp-cat-bub,
.mvp-feat2-text-right span.mvp-cat-bub,
.mvp-widget-feat-text span.mvp-cat-bub {
	background: $primarycolor;
	}

span.mvp-post-cat,
span.mvp-cat-bub {
	border-bottom: 1px solid $primarycolor;
	}

.mvp-feat1-top-wrap article:nth-child(3) .mvp-feat1-sub-text:after {
	border-bottom: 15px solid $primarycolor;
	}

.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
	background-color: $primarycolor;
	}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
	border-top-color: $primarycolor;
	}
	
.mvp-feat3-title h2:hover,
.mvp-widget-feat-text h2:hover,
.mvp-feat4-title h2:hover {
	background-color: $primarycolor;
	-webkit-box-shadow: 10px 0 0 $primarycolor, -10px 0 0 $primarycolor;
	   -moz-box-shadow: 10px 0 0 $primarycolor, -10px 0 0 $primarycolor;
	    -ms-box-shadow: 10px 0 0 $primarycolor, -10px 0 0 $primarycolor;
	     -o-box-shadow: 10px 0 0 $primarycolor, -10px 0 0 $primarycolor;
			box-shadow: 10px 0 0 $primarycolor, -10px 0 0 $primarycolor;
}

#mvp-main-head-wrap,
.mvp-main-head-top,
#mvp-fly-wrap {
	background: $topnavbg;
	}

span.mvp-top-soc-but,
.mvp-top-sub-text p,
nav.mvp-fly-nav-menu ul li a,
ul.mvp-fly-soc-list li a {
	color: $topnavtext;
	}

span.mvp-top-soc-but:hover,
.mvp-main-ht-right:hover .mvp-top-sub-text p,
nav.mvp-fly-nav-menu ul li a:hover {
	color: $topnavhover;
	}

.mvp-main-head-grid,
.mvp-nav-menu ul li.mvp-mega-dropdown .mvp-mega-dropdown,
.mvp-nav-menu ul li ul.sub-menu,
.mvp-nav-menu ul li ul.sub-menu li a {
	background: $botnavbg;
	}

.mvp-nav-menu ul li a,
span.mvp-woo-cart-icon,
span.mvp-nav-search-but,
.mvp-nav-soc-fixed:hover .mvp-nav-soc-title,
.mvp-nav-soc-fixed:hover ul.mvp-nav-soc-list li span,
.mvp-fly-top:hover,
.mvp-nav-menu ul li ul.mvp-mega-list li a,
.mvp-nav-menu ul li ul.mvp-mega-list li a p,
.mvp-nav-menu ul li ul.sub-menu li a {
	color: $botnavtext;
	}

.mvp-nav-menu ul li.menu-item-has-children a:after {
	border-color: $botnavtext transparent transparent transparent
	}

.mvp-fly-but-wrap span,
span.mvp-woo-cart-num {
	background: $botnavtext;
	}

.mvp-nav-menu ul li:hover a,
.mvp-woo-cart-wrap:hover span.mvp-woo-cart-icon,
span.mvp-nav-search-but:hover,
.mvp-nav-menu ul li ul.mvp-mega-list li:hover a p {
	color: $botnavhover;
	}

.mvp-nav-menu ul li.menu-item-has-children:hover a:after {
	border-color: $botnavhover transparent transparent transparent
	}

.mvp-fly-but-wrap:hover span,
.mvp-woo-cart-wrap:hover span.mvp-woo-cart-num {
	background: $botnavhover;
	}

#mvp-main-body-wrap,
.mvp-main-body-grid,
.mvp-main-body-cont,
.mvp-post-side-wrap {
	background: $contentbg;
	}

a,
a:visited,
.mvp-feat1-sub:hover .mvp-feat1-sub-text h2,
.mvp-feat1-sub:hover .mvp-post-type-img,
.mvp-blog-story-big:hover .mvp-blog-story-big-text h2,
.mvp-blog-story-reg:hover .mvp-blog-story-text h2,
.mvp-blog-story-big:hover .mvp-post-type-img,
.mvp-blog-story-reg:hover .mvp-post-type-img,
.mvp-content-main p a:hover,
.mvp-post-more-story:hover .mvp-post-more-text p,
span.mvp-authors-name a:hover,
h2.mvp-authors-latest a:hover,
.mvp-widget-ll-text:hover h2,
.mvp-widget-ll-text:hover .mvp-post-type-img,
.mvp-widget-trend-story:hover .mvp-widget-trend-text h2,
.mvp-widget-trend-story:hover .mvp-widget-trend-text:after,
.mvp-feat2-text-right h2:hover,
.mvp-foot-menu ul li a:hover {
	color: $link;
	}

.mvp-content-main p a {
	-webkit-box-shadow: inset 0 -1px 0 $link;
	   -moz-box-shadow: inset 0 -1px 0 $link;
		-ms-box-shadow: inset 0 -1px 0 $link;
		 -o-box-shadow: inset 0 -1px 0 $link;
			box-shadow: inset 0 -1px 0 $link;
	}

body,
.mvp-feat1-main-text p,
.mvp-feat1-sub-text p,
.mvp-feat2-text-right p,
.mvp-blog-story-big-text p,
.mvp-blog-story-text p,
span.mvp-post-excerpt,
.mvp-foot-text p,
p.mvp-email-sub-text,
.mvp-feat2-text-right p,
.mvp-widget-ll-text p,
.mvp-widget-trend-text p,
.mvp-widget-feat-text p,
.woocommerce ul.product_list_widget span.product-title,
.woocommerce ul.product_list_widget li a,
.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta,
.woocommerce div.product p.price,
.woocommerce div.product p.price ins,
.woocommerce div.product p.price del,
.woocommerce ul.products li.product .price del,
.woocommerce ul.products li.product .price ins,
.woocommerce ul.products li.product .price,
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce .widget_price_filter .price_slider_amount .button,
.woocommerce span.onsale,
.woocommerce-review-link,
#woo-content p.woocommerce-result-count,
.woocommerce div.product .woocommerce-tabs ul.tabs li a,
.mvp-post-byline,
.mvp-author-info-wrap,
span.mvp-post-img-cap,
.mvp-post-tags,
span.mvp-author-box-name,
span.mvp-ad-label,
.mvp-foot-copy p,
.woocommerce .woocommerce-breadcrumb,
.mvp-nav-soc-title,
.mvp-sub-email input,
.alp-related-posts-wrapper .alp-related-post .post-details p.post-meta,
.alp-related-posts-wrapper .alp-related-post .post-details p.post-meta a,
.mvp-content-main p.wp-caption-text,
#comments .c p,
span#email-notes,
p.mvp-authors-desc {
	font-family: '$content_font', sans-serif;
	font-weight: $content_font_style;
	text-transform: $content_font_variant;
	}

.mvp-content-main p,
.mvp-author-box-text p,
#mvp-404 p,
#woo-content p,
.mvp-content-main ul li,
.mvp-content-main ol li,
.rwp-summary,
.rwp-u-review__comment,
.rwp-review-wrap .rwp-review .rwp-pros-wrap .rwp-pros,
.rwp-review-wrap .rwp-review .rwp-cons-wrap .rwp-cons {
	font-family: '$para_font', serif;
	font-weight: $para_font_style;
	text-transform: $para_font_variant;
	}

.mvp-nav-menu ul li a,
nav.mvp-fly-nav-menu ul li a,
.mvp-foot-menu ul li a {
	font-family: '$menu_font', sans-serif;
	font-weight: $menu_font_style;
	text-transform: $menu_font_variant;
	}

.mvp-widget-trend-text h2,
.alp-related-posts .current .post-title,
span.mvp-prev-next-label,
.mvp-prev-next-wrap h2,
span.mvp-author-box-name-head,
.mvp-post-more-text p,
h2.mvp-authors-latest,
.mvp-nav-menu ul li ul.mvp-mega-list li a,
.mvp-nav-menu ul li ul.mvp-mega-list li a p,
span.mvp-woo-cart-num,
.alp-related-posts-wrapper .alp-related-post .post-title {
	font-family: '$headline_font', sans-serif;
	font-weight: $headline_font_style;
	text-transform: $headline_font_variant;
	}

.mvp-feat1-main-text h2,
.mvp-feat1-sub-text h2,
.mvp-feat2-text-right h2,
.mvp-blog-story-big-text h2,
.mvp-blog-story-text h2,
.mvp-widget-ll-text h2,
.mvp-widget-feat-text h2,
.mvp-widget-trend-text:after,
.mvp-feat3-title h2,
.mvp-feat4-title h2 {
	font-family: '$feat_font', sans-serif;
	font-weight: $feat_font_style;
	text-transform: $feat_font_variant;
	}

@media screen and (max-width: 479px) {

	.mvp-blog-story-big-text h2,
	.mvp-blog-story-text h2 {
		font-family: '$headline_font', sans-serif;
		font-weight: $headline_font_style;
		text-transform: $headline_font_variant;
	}

}

span.mvp-email-sub-head,
h1.mvp-post-title,
.editor-post-title,
.mvp-content-main blockquote p,
#mvp-404 h1,
h1.mvp-author-top-head,
span.mvp-authors-name a,
#woo-content h1.page-title,
.woocommerce div.product .product_title,
.rwp-review-wrap .rwp-review .rwp-header.rwp-has-image .rwp-overall-score .rwp-overlall-score-value,
.rwp-review-wrap .rwp-review .rwp-header.rwp-has-image .rwp-users-score .rwp-users-score-value,
.rwp-review-wrap .rwp-review .rwp-scores .rwp-criterion .rwp-criterion-text .rwp-criterion-score {
	font-family: '$title_font', sans-serif;
	font-weight: $title_font_style;
	text-transform: $title_font_variant;
	}

span.mvp-post-cat,
span.mvp-cat-bub,
.mvp-top-sub-text p,
span.mvp-widget-home-title,
span.mvp-widget-home-title2,
span.mvp-post-header,
.mvp-content-main h1,
.mvp-content-main h2,
.mvp-content-main h3,
.mvp-content-main h4,
.mvp-content-main h5,
.mvp-content-main h6,
#woo-content .summary p.price,
.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt,
.woocommerce .related h2,
.woocommerce div.product .woocommerce-tabs .panel h2,
.mvp-sub-submit input,
#mvp-comments-button a,
#mvp-comments-button span.mvp-comment-but-text,
a.mvp-inf-more-but,
#respond #submit,
.comment-reply a,
#cancel-comment-reply-link,
.rwp-review-wrap .rwp-review .rwp-title em {
	font-family: '$head_font', sans-serif;
	font-weight: $head_font_style;
	text-transform: $head_font_variant;
	}


	";

	$mvp_rtl = get_option('mvp_rtl'); if ($mvp_rtl == "true") {
	if(get_option('mvp_wall_ad')) {
	$mvp_wall_ad_css = "
	@media screen and (min-width: 1200px) {
	#mvp-site {
		float: none;
		margin: 0 auto;
		width: 1200px;
		}
	#mvp-leader-wrap,
	.mvp-main-head-grid,
	.mvp-soc-to-top {
		right: auto;
		width: 1200px;
		}
	#mvp-foot-wrap {
		right: auto;
		margin: 0;
		width: 1060px;
		}

	.mvp-blog-story-big-text p,
	.mvp-blog-story-text p {
		display: none;
	}

	.mvp-widget-ad-grid .mvp-blog-story-text p {
		display: inline;
	}

	.mvp-feat1-main-text h2 {
		font-size: 2.5rem;
	}

	.mvp-feat1-sub-text h2,
	.mvp-blog-main-grid .mvp-blog-story-text h2 {
		font-size: 1.4rem;
	}

	.mvp-widget-trend-img:after {
		font-size: 6.5rem;
		right: -7px;
	}

	.mvp-blog-story-big-text {
		padding: 20px 40px 20px 20px;
	}

	.mvp-blog-story-text {
		padding: 20px 40px 0 20px;
	}

	.mvp-blog-story-big-text h2,
	.mvp-blog-story-text h2 {
		font-size: 1.4rem;
	}

	.mvp-post-head,
	.mvp-content-main p,
	.mvp-post-bot,
	.mvp-post-sub-wrap .mvp-email-sub-wrap,
	.mvp-post-img-text-main,
	.single .mvp-content-main ul,
	.single .mvp-content-main ol,
	.single .mvp-content-main h1,
	.single .mvp-content-main h2,
	.single .mvp-content-main h3,
	.single .mvp-content-main h4,
	.single .mvp-content-main h5,
	.single .mvp-content-main h6 {
		max-width: none;
	}

	.mvp-post-head,
	.mvp-content-main p,
	.mvp-post-bot,
	.mvp-post-img-text-main,
	.single .mvp-content-main ul,
	.single .mvp-content-main ol,
	.single .mvp-content-main h1,
	.single .mvp-content-main h2,
	.single .mvp-content-main h3,
	.single .mvp-content-main h4,
	.single .mvp-content-main h5,
	.single .mvp-content-main h6 {
		padding: 0 30px;
	}

	.single .mvp-content-main ul,
	.single .mvp-content-main ol {
		padding: 0 20px 20px;
	}

	.wp-caption.alignleft {
		margin: 20px 0 20px 20px;
	}

	.wp-caption.alignright {
		margin: 20px 20px 20px 0;
	}

	.wp-caption.alignleft p.wp-caption-text,
	.wp-caption.alignright p.wp-caption-text {
		padding: 8px 20px 0;
	}

	.mvp-post-sub-wrap .mvp-email-sub-wrap {
		padding: 30px;
	}

	h1.mvp-post-title {
		font-size: 2.7rem;
	}

	.mvp-post-more-text p {
		font-size: .9rem;
	}

	.mvp-feat1-main-text h2.mvp-stand-title {
		font-size: 1.8rem;
	}

	.mvp-post-img-text-main h3.mvp-post-cat {
		margin: 0 0 10px;
	}

	.mvp-post-img-text-main h1.mvp-post-title {
		font-size: 2.1rem;
	}

	.mvp-post-img-text-main span.mvp-post-excerpt {
		line-height: 1.35;
		margin: 5px 0 0;
		}

	.mvp-blog-main-grid {
		grid-template-columns: repeat(2, 1fr);
	}

	.mvp-widget-ll-text h2 {
		font-size: 2.4rem;
	}

	.mvp-widget-feat-text {
		max-width: 32%;
	}

	.mvp-widget-feat-text h2 {
		font-size: 3.2rem;
	}

	.mvp-widget-trend-story a {
		grid-row-gap: 15px;
	}

	.mvp-widget-trend-text:after {
		font-size: 1.9rem;
	}

	.mvp-widget-trend-text {
		padding: 0 20px 0 23px;
	}

	}
		";
	}
	} else {
	if(get_option('mvp_wall_ad')) {
	$mvp_wall_ad_css = "
	@media screen and (min-width: 1200px) {
	#mvp-site {
		float: none;
		margin: 0 auto;
		width: 1200px;
		}
	#mvp-leader-wrap,
	.mvp-main-head-grid,
	.mvp-soc-to-top {
		left: auto;
		width: 1200px;
		}
	#mvp-foot-wrap {
		left: auto;
		margin: 0;
		width: 1060px;
		}

	.mvp-blog-story-big-text p,
	.mvp-blog-story-text p {
		display: none;
	}

	.mvp-widget-ad-grid .mvp-blog-story-text p {
		display: inline;
	}

	.mvp-feat1-main-text h2 {
		font-size: 2.5rem;
	}

	.mvp-feat1-sub-text h2,
	.mvp-blog-main-grid .mvp-blog-story-text h2 {
		font-size: 1.4rem;
	}

	.mvp-widget-trend-img:after {
		font-size: 6.5rem;
		left: -7px;
	}

	.mvp-blog-story-big-text {
		padding: 20px 20px 20px 40px;
	}

	.mvp-blog-story-text {
		padding: 20px 20px 0 40px;
	}

	.mvp-blog-story-big-text h2,
	.mvp-blog-story-text h2 {
		font-size: 1.4rem;
	}

	.mvp-post-head,
	.mvp-content-main p,
	.mvp-post-bot,
	.mvp-post-sub-wrap .mvp-email-sub-wrap,
	.mvp-post-img-text-main,
	.single .mvp-content-main ul,
	.single .mvp-content-main ol,
	.single .mvp-content-main h1,
	.single .mvp-content-main h2,
	.single .mvp-content-main h3,
	.single .mvp-content-main h4,
	.single .mvp-content-main h5,
	.single .mvp-content-main h6 {
		max-width: none;
	}

	.mvp-post-head,
	.mvp-content-main p,
	.mvp-post-bot,
	.mvp-post-img-text-main,
	.single .mvp-content-main ul,
	.single .mvp-content-main ol,
	.single .mvp-content-main h1,
	.single .mvp-content-main h2,
	.single .mvp-content-main h3,
	.single .mvp-content-main h4,
	.single .mvp-content-main h5,
	.single .mvp-content-main h6 {
		padding: 0 30px;
	}

	.single .mvp-content-main ul,
	.single .mvp-content-main ol {
		padding: 0 20px 20px;
	}

	.wp-caption.alignleft {
		margin: 20px 20px 20px 0;
	}

	.wp-caption.alignright {
		margin: 20px 0 20px 20px;
	}

	.wp-caption.alignleft p.wp-caption-text,
	.wp-caption.alignright p.wp-caption-text {
		padding: 8px 20px 0;
	}

	.mvp-post-sub-wrap .mvp-email-sub-wrap {
		padding: 30px;
	}

	h1.mvp-post-title {
		font-size: 2.7rem;
	}

	.mvp-post-more-text p {
		font-size: .9rem;
	}

	.mvp-feat1-main-text h2.mvp-stand-title {
		font-size: 1.8rem;
	}

	.mvp-post-img-text-main h3.mvp-post-cat {
		margin: 0 0 10px;
	}

	.mvp-post-img-text-main h1.mvp-post-title {
		font-size: 2.1rem;
	}

	.mvp-post-img-text-main span.mvp-post-excerpt {
		line-height: 1.35;
		margin: 5px 0 0;
		}

	.mvp-blog-main-grid {
		grid-template-columns: repeat(2, 1fr);
	}

	.mvp-widget-ll-text h2 {
		font-size: 2.4rem;
	}

	.mvp-widget-feat-text {
		max-width: 32%;
	}

	.mvp-widget-feat-text h2 {
		font-size: 3.2rem;
	}

	.mvp-widget-trend-story a {
		grid-row-gap: 15px;
	}

	.mvp-widget-trend-text:after {
		font-size: 1.9rem;
	}

	.mvp-widget-trend-text {
		padding: 0 20px 0 23px;
	}

	}
		";
	}	
		
	}
		

	$mvp_para_lead = get_option('mvp_para_lead');
	if ($mvp_para_lead == "true") {
	if (isset($mvp_para_lead)) { } } else {
	$mvp_para_lead_css = "
	#mvp-leader-wrap {
		position: relative;
		}
	#mvp-site-main {
		margin-top: 0;
		}
	#mvp-leader-wrap {
		top: 0 !important;
		}
		";
	}

	$mvp_alp = get_option('mvp_alp');
	$mvp_alp_side = get_option('mvp_alp_side');
	if ($mvp_alp == "true") {
	if (isset($mvp_alp)) {
		if ($mvp_alp_side == "0") {
	$mvp_alp_css = "
	.mvp-auto-post-grid {
		grid-template-columns: 340px minmax(0, auto);
	}
		";
		} else if ($mvp_alp_side == "1") {
	$mvp_alp_css = "
	.mvp-alp-side {
		display: none;
	}
	.mvp-auto-post-grid {
		grid-template-columns: minmax(0, auto) 340px;
	}
		";
		} else {
	$mvp_alp_css = "
	.mvp-alp-side {
		display: none;
	}
	.mvp-auto-post-grid {
		grid-template-columns: 100%;
	}
		";
		}
	}
	}

	global $post; if (!empty( $post )) {
	$mvp_post_side = get_post_meta($post->ID, "mvp_post_side", true);
	if($mvp_post_side == "hide") {
	$mvp_post_side_css = "
	.mvp-post-main-grid {
		grid-template-columns: 100%;
		grid-column-gap: 0;
	}
	.mvp-alp-side {
		display: none;
	}
	.mvp-auto-post-grid {
		grid-template-columns: 100%;
	}
		";
	}
	}

	if ( is_single() || is_404()) {
	$mvp_top_head_css = "
	.mvp-main-head-top {
		display: none;
	}
	.mvp-nav-logo {
		opacity: 1;
		top: 0;
	}
		";
	}

	global $post; if (!empty( $post )) {
	$mvp_post_layout = get_option('mvp_post_layout'); $mvp_post_temp = get_post_meta($post->ID, "mvp_post_template", true); if( ( empty($mvp_post_temp) && $mvp_post_layout == '1' ) || ( $mvp_post_temp == "def" && $mvp_post_layout == '1' ) || ( $mvp_post_temp == "global" && $mvp_post_layout == '1' ) || ( empty($mvp_post_temp) && $mvp_post_layout == '2' ) || ( $mvp_post_temp == "def" && $mvp_post_layout == '2' ) || ( $mvp_post_temp == "global" && $mvp_post_layout == '2' ) || ( empty($mvp_post_temp) && $mvp_post_layout == '3' ) || ( $mvp_post_temp == "def" && $mvp_post_layout == '3' ) || ( $mvp_post_temp == "global" && $mvp_post_layout == '3' ) || ( empty($mvp_post_temp) && $mvp_post_layout == '4' ) || ( $mvp_post_temp == "def" && $mvp_post_layout == '4' ) || ( $mvp_post_temp == "global" && $mvp_post_layout == '4' ) || $mvp_post_temp == "temp2" || $mvp_post_temp == "temp3" || $mvp_post_temp == "temp4" || $mvp_post_temp == "temp5" ) {
	$mvp_post_head_css = "
	.mvp-content-wrap .mvp-post-head-wrap {
		padding: 0 0 30px;
	}
		";
	}
	}

	if ( is_home() || is_front_page() ) {
	$mvp_feat_posts = get_option('mvp_feat_posts');
		if ($mvp_feat_posts == "true") {
	$mvp_feat_layout = get_option('mvp_feat_layout');
	if ($mvp_feat_layout == '1' || $mvp_feat_layout == '2') {
	$mvp_feat2_head_css = "
	.mvp-main-head-top {
		display: none;
	}

	.mvp-widget-home:first-child.mvp_trend_widget .mvp-widget-trend-wrap {
		margin-top: 0;
	}
	.mvp-widget-home:first-child.mvp_trend_widget .mvp-widget-trend-title {
		margin-top: 30px;
	}
		";
	}
	}
	}

	$alp = get_option('mvp_alp');
	if ($alp == "true" && is_single()) {
	$mvp_reg_soc_css = "
	.mvp-post-content {
		grid-column-gap: 0;
		grid-template-columns: 100%;
		}
		";
	}
	
	$alp = get_option('mvp_alp');
	if ($alp == "true" && is_single()) {
	global $post; $mvp_post_side = get_post_meta($post->ID, "mvp_post_side", true);
	if($mvp_post_side == "hide" ) {
	$mvp_alp_no_side_css = "
	.mvp-alp-soc-reg {
		display: inline;
		}
		";
	}
	}

	$mvp_infinite_scroll = get_option('mvp_infinite_scroll');
	if ($mvp_infinite_scroll == "true") {
	if (isset($mvp_infinite_scroll)) {
	$mvp_infinite_scroll_css = "
	.mvp-nav-links {
		display: none;
		}
		";
	} }

	if ( function_exists( 'mvp_SocialSharing' ) ) {
	$alp = get_option('mvp_alp'); if (($alp !== "true") || ($alp == "true" && is_page())) {
	$socialbox = get_option('mvp_social_box'); if ($socialbox !== "true") {
	$mvp_soc_but_css = "
	.mvp-post-soc-wrap {
		display: none;
		}
	.mvp-post-content {
		grid-template-columns: 100% !important;
		grid-column-gap: 0 !important;
		}
		";
	} }
	} else {
	$mvp_soc_but_css = "
	.mvp-post-soc-wrap {
		display: none;
		}
	.mvp-post-content {
		grid-template-columns: 100% !important;
		grid-column-gap: 0 !important;
		}
		";
	}

	$alp_side = get_option('mvp_alp_side'); if ($alp_side == "1" || $alp_side == "2" ) {
	$mvp_alp_share_css = "
	.mvp-alp-soc-reg {
		display: block;
	}
		";
	}

	$mvp_alp = get_option('mvp_alp');
	if ($mvp_alp == "true") {
	$disqus_id = get_option('mvp_disqus_id'); if ($disqus_id) { if (isset($disqus_id)) {
	$mvp_disqus_but_css = "
	.mvp-disqus-comm-first {
		display: none;
	}
	.mvp-disqus-comm-wrap,
	.mvp-auto-post-main .first .mvp-disqus-comm-first {
		display: block;
	}
	.mvp-auto-post-main .first .mvp-disqus-comm-wrap {
		display: none;
	}
		";
	}
	}
	}

	$author_info = get_option('mvp_author_info'); if ($author_info !== "true") {
	$mvp_author_info_css = "
	.mvp-post-info-wrap {
		grid-template-columns: 100%;
	}
	.mvp-post-date-wrap {
		width: 100%;
	}
	.mvp-post-date-wrap p {
		float: none;
	}
	span.mvp-post-byline-name,
	span.mvp-post-byline-date:before {
		display: none;
	}
	span.mvp-post-byline-date {
		margin: 0;
	}
		";
	}
	
	if ( ! is_active_sidebar( 'mvp-sidebar-woo-widget' ) ) {
	$mvp_woo_side_css = "
	.mvp-woo-main-grid {
		grid-template-columns: 100%;
	}
	#mvp-woo-side-wrap {
		display: none;
	}
		";
	}
	
	$mvp_alp_ad = get_option('mvp_alp_ad');
	if ( ! $mvp_alp_ad) {
	$mvp_alp_side_ad_css = "
	.alp-advert {
		display: none;
	}
	.alp-related-posts-wrapper .alp-related-posts .current {
		margin: 0 0 10px;
	}
		";
	}

	if ($mvp_css) {
	$mvp_css_css = "
 	$mvp_css
		";
	}

	if (isset($mvp_theme_options)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_theme_options )); }
	if (isset($mvp_wall_ad_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_wall_ad_css )); }
	if (isset($mvp_para_lead_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_para_lead_css )); }
	if (isset($mvp_alp_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_alp_css )); }
	if (isset($mvp_post_side_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_post_side_css )); }
	if (isset($mvp_top_head_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_top_head_css )); }
	if (isset($mvp_post_head_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_post_head_css )); }
	if (isset($mvp_feat2_head_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_feat2_head_css )); }
	if (isset($mvp_reg_soc_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_reg_soc_css )); }
	if (isset($mvp_alp_no_side_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_alp_no_side_css )); }
	if (isset($mvp_infinite_scroll_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_infinite_scroll_css )); }
	if (isset($mvp_soc_but_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_soc_but_css )); }
	if (isset($mvp_alp_share_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_alp_share_css )); }
	if (isset($mvp_disqus_but_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_disqus_but_css )); }
	if (isset($mvp_author_info_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_author_info_css )); }
	if (isset($mvp_woo_side_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_woo_side_css )); }
	if (isset($mvp_alp_side_ad_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_alp_side_ad_css )); }
	if (isset($mvp_css_css)) { wp_kses_post(wp_add_inline_style( 'mvp-custom-style', $mvp_css_css )); }
}
}
add_action( 'wp_enqueue_scripts', 'mvp_styles_method' );

/////////////////////////////////////
// Enqueue Javascript/CSS Files
/////////////////////////////////////

if ( ! function_exists( 'mvp_scripts_method' ) ) {
function mvp_scripts_method() {
	global $wp_styles;
	wp_enqueue_style( 'mvp-reset', get_template_directory_uri() . '/css/reset.css' );
	wp_enqueue_style( 'fontawesome', 'https://use.fontawesome.com/releases/v5.5.0/css/all.css' );
	wp_enqueue_style( 'mvp-iecss', get_stylesheet_directory_uri() . '/css/iecss.css', array( 'mvp-style' )  );
	wp_enqueue_style( 'mvp-fonts', mvp_fonts_url(), array(), null );
	$wp_styles->add_data( 'mvp-iecss', 'conditional', 'lt IE 10' );
	$mvp_rtl = get_option('mvp_rtl'); if ($mvp_rtl == "true") { if (isset($mvp_rtl)) {
	wp_enqueue_style( 'mvp-rtl', get_template_directory_uri() . '/css/rtl.css' );
	} }
	$mvp_responsive = get_option('mvp_responsive'); if ($mvp_responsive == "true") { if (isset($mvp_responsive)) {
	$mvp_rtl = get_option('mvp_rtl'); if ($mvp_rtl == "true") { if (isset($mvp_rtl)) {
	wp_enqueue_style( 'mvp-media-queries', get_template_directory_uri() . '/css/media-queries-rtl.css' );
	} } else {
	wp_enqueue_style( 'mvp-media-queries', get_template_directory_uri() . '/css/media-queries.css' );
	} } }
	wp_register_script('mvp-custom', get_template_directory_uri() . '/js/mvpcustom.js', array('jquery'), '', true);
	wp_register_script('jawn', get_template_directory_uri() . '/js/scripts.js', array('jquery'), '', true);
	wp_register_script('retina', get_template_directory_uri() . '/js/retina.js', array('jquery'), '', true);
	wp_register_script('flexslider', get_template_directory_uri() . '/js/flexslider.js', array('jquery'), '', true);
	wp_register_script('infinitescroll', get_template_directory_uri() . '/js/jquery.infinitescroll.min.js', array('jquery'), '', true);
	wp_register_script('alp', get_template_directory_uri() . '/js/alp.js', array('jquery'), '', true);

	wp_enqueue_script('mvp-custom');
	wp_enqueue_script('jawn');
	wp_enqueue_script('retina');
	if ( is_single() ) wp_enqueue_script( 'flexslider' );
	$mvp_infinite_scroll = get_option('mvp_infinite_scroll'); if ($mvp_infinite_scroll == "true") { if (isset($mvp_infinite_scroll)) {
	wp_enqueue_script('infinitescroll');
	} }
	$mvp_alp = get_option('mvp_alp'); if ($mvp_alp == "true") { if (isset($mvp_alp)) {
	if ( is_single() ) wp_enqueue_script( 'alp' );
	} }

	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );


	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(window).load(function(){
	var leaderHeight = $("#mvp-leader-wrap").outerHeight();
	var topHeight = $("#mvp-main-head-wrap").outerHeight();
	var navHeight = $(".mvp-main-head-grid").outerHeight();
	var headerHeight = topHeight + leaderHeight;
	var previousScroll = 0;
	$(window).scroll(function(event){
			var scroll = $(this).scrollTop();
			if ($(window).scrollTop() > headerHeight){
				$(".mvp-main-head-grid").addClass("mvp-nav-fixed");
				$("#mvp-main-body-wrap").css("margin-top", navHeight);
				$(".mvp-main-head-mid").addClass("mvp-main-head-shade");
				$(".mvp-nav-logo").addClass("mvp-nav-logo-fixed");
				$(".mvp-nav-soc-wrap").addClass("mvp-nav-soc-fixed");
				$("#mvp-search-wrap").addClass("mvp-search-fixed");
				$(".mvp-fly-top").addClass("mvp-to-top");
			} else {
				$(".mvp-main-head-grid").removeClass("mvp-nav-fixed");
				$("#mvp-main-body-wrap").css("margin-top", "0" );
				$(".mvp-main-head-mid").removeClass("mvp-main-head-shade");
				$(".mvp-nav-logo").removeClass("mvp-nav-logo-fixed");
				$(".mvp-nav-soc-wrap").removeClass("mvp-nav-soc-fixed");
				$("#mvp-search-wrap").removeClass("mvp-search-fixed");
				$(".mvp-fly-top").removeClass("mvp-to-top");
			}
			if ($(window).scrollTop() > headerHeight - 70){
				$(".mvp-main-head-grid").addClass("mvp-fixed");
	    		if(scroll < previousScroll) {
					$(".mvp-main-head-grid").addClass("mvp-fixed");
					$("#mvp-main-body-wrap").css("margin-top", navHeight);
				} else {
					$(".mvp-main-head-grid").removeClass("mvp-fixed");
					$("#mvp-search-wrap").removeClass("mvp-search-toggle");
				}
			} else {
				$(".mvp-main-head-grid").removeClass("mvp-fixed");
				$("#mvp-main-body-wrap").css("margin-top", "0" );
			}
			previousScroll = scroll;
	});

	$(".mvp-alp-side-in").niceScroll({cursorcolor:"#ccc",cursorwidth: 5,cursorborder: 0,zindex:999999});

	});
	});
	' );

	// Parallax Footer
	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(window).load(function(){
	var leaderHeight = $("#mvp-leader-wrap").outerHeight();
	var topHeight = $("#mvp-main-head-wrap").outerHeight();
	var headerHeight = topHeight + leaderHeight;
	var footHeight = $("#mvp-foot-wrap").outerHeight();
	var bodyHeight = $(".mvp-main-body-cont").outerHeight();
	if (bodyHeight < 900){
		$("#mvp-foot-wrap").show();
		$("#mvp-foot-wrap").css("position", "relative");
		$("#mvp-foot-wrap").addClass("mvp-foot-relative");
	} else {
	$(window).scroll(function(event){
		var scroll = $(this).scrollTop();
			$(".mvp-main-body-cont").css("margin-bottom", footHeight);
			if ($(window).scrollTop() > headerHeight){
				$("#mvp-foot-wrap").show();
			} else {
				$("#mvp-foot-wrap").hide();
			}
		previousScroll = scroll;
	});
	}
	});
	});
	' );

	// Email Subscription
	if(function_exists('mvp_email_sub_fn')) {
	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(".mvp-sub-click").on("click", function(){
		$(".mvp-sub-pop-wrap").toggleClass("mvp-sub-pop-show");
	});
	});
	' );
	}

	// Parallax Leaderboard
	$mvp_para_lead = get_option('mvp_para_lead'); if ($mvp_para_lead == "true") { if (isset($mvp_para_lead)) {
	if(get_option('mvp_header_leader')) {
	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(window).load(function(){
		var leaderHeight = $("#mvp-leader-wrap").outerHeight();
		$("#mvp-site-main").css("margin-top", leaderHeight );
  	});

	$(window).resize(function(){
		var leaderHeight = $("#mvp-leader-wrap").outerHeight();
		$("#mvp-site-main").css("margin-top", leaderHeight );
	});

	});
  	' );
	}
	} }

	// Main Menu Dropdown Toggle
	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(".mvp-fly-nav-menu .menu-item-has-children a").click(function(event){
	  event.stopPropagation();

  	});

	$(".mvp-fly-nav-menu .menu-item-has-children").click(function(){
    	  $(this).addClass("toggled");
    	  if($(".menu-item-has-children").hasClass("toggled"))
    	  {
    	  $(this).children("ul").toggle();
	  $(".mvp-fly-nav-menu").getNiceScroll().resize();
	  }
	  $(this).toggleClass("tog-minus");
    	  return false;
  	});

	// Main Menu Scroll
	$(window).load(function(){
	  $(".mvp-fly-nav-menu").niceScroll({cursorcolor:"#888",cursorwidth: 7,cursorborder: 0,zindex:999999});
	});
	});
	' );

	$mvp_infinite_scroll = get_option('mvp_infinite_scroll');
	if ($mvp_infinite_scroll == "true") { if (isset($mvp_infinite_scroll)) {
	wp_add_inline_script( 'mvp-custom', '
	jQuery(document).ready(function($) {
	$(".infinite-content").infinitescroll({
	  navSelector: ".mvp-nav-links",
	  nextSelector: ".mvp-nav-links a:first",
	  itemSelector: ".infinite-post",
	  errorCallback: function(){ $(".mvp-inf-more-wrap").css("display", "none") }
	});
	$(window).unbind(".infscr");
	$(".mvp-inf-more-but").click(function(){
   		$(".infinite-content").infinitescroll("retrieve");
        	return false;
	});
	$(window).load(function(){
		if ($(".mvp-nav-links a").length) {
			$(".mvp-inf-more-wrap").css("display","inline-block");
		} else {
			$(".mvp-inf-more-wrap").css("display","none");
		}
	});
	});
	' );
	}
	}

}
}
add_action('wp_enqueue_scripts', 'mvp_scripts_method');

/////////////////////////////////////
// Register Widgets
/////////////////////////////////////

if ( !function_exists( 'mvp_sidebars_init' ) ) {
	function mvp_sidebars_init() {

		register_sidebar(array(
			'id' => 'homepage-widget',
			'name' => esc_html__( 'Homepage Widget Area', 'jawn' ),
			'description'   => esc_html__( 'The widgetized area in the main content area of the homepage.', 'jawn' ),
			'before_widget' => '<section id="%1$s" class="mvp-widget-home left relative %2$s">',
			'after_widget' => '</section>',
			'before_title' => '<h4 class="mvp-widget-home-title"><span class="mvp-widget-home-title">',
			'after_title' => '</span></h4>',
		));

		register_sidebar(array(
			'id' => 'mvp-home-sidebar-widget',
			'name' => esc_html__( 'Homepage Sidebar Widget Area', 'jawn' ),
			'description'   => esc_html__( 'The widgetized sidebar on the homepage.', 'jawn' ),
			'before_widget' => '<section id="%1$s" class="mvp-side-widget %2$s">',
			'after_widget' => '</section>',
			'before_title' => '<div class="mvp-widget-home-head"><h4 class="mvp-widget-home-title"><span class="mvp-widget-home-title">',
			'after_title' => '</span></h4></div>',
		));

		register_sidebar(array(
			'id' => 'mvp-sidebar-widget',
			'name' => esc_html__( 'Default Sidebar Widget Area', 'jawn' ),
			'description'   => esc_html__( 'The default widgetized sidebar.', 'jawn' ),
			'before_widget' => '<section id="%1$s" class="mvp-side-widget %2$s">',
			'after_widget' => '</section>',
			'before_title' => '<div class="mvp-widget-home-head"><h4 class="mvp-widget-home-title"><span class="mvp-widget-home-title">',
			'after_title' => '</span></h4></div>',
		));

		register_sidebar(array(
			'id' => 'mvp-sidebar-widget-post',
			'name' => esc_html__( 'Post/Page Sidebar Widget Area', 'jawn' ),
			'description'   => esc_html__( 'The widgetized sidebar on posts and pages.', 'jawn' ),
			'before_widget' => '<section id="%1$s" class="mvp-side-widget %2$s">',
			'after_widget' => '</section>',
			'before_title' => '<div class="mvp-widget-home-head"><h4 class="mvp-widget-home-title"><span class="mvp-widget-home-title">',
			'after_title' => '</span></h4></div>',
		));

		register_sidebar(array(
			'id' => 'mvp-sidebar-woo-widget',
			'name' => esc_html__( 'WooCommerce Sidebar Widget Area', 'jawn' ),
			'description'   => esc_html__( 'The widgetized sidebar on your WooCommerce pages.', 'jawn' ),
			'before_widget' => '<section id="%1$s" class="mvp-side-widget %2$s">',
			'after_widget' => '</section>',
			'before_title' => '<div class="mvp-widget-home-head"><h4 class="mvp-widget-home-title2"><span class="mvp-widget-home-title2">',
			'after_title' => '</span></h4></div>',
		));

	}
}
add_action( 'widgets_init', 'mvp_sidebars_init' );

include( get_template_directory() . '/widgets/widget-ad.php');
include( get_template_directory() . '/widgets/widget-facebook.php');
include( get_template_directory() . '/widgets/widget-home-feat.php');
include( get_template_directory() . '/widgets/widget-home-large.php');
include( get_template_directory() . '/widgets/widget-home-trend.php');

/////////////////////////////////////
// Register Custom Menus
/////////////////////////////////////

if ( !function_exists( 'register_menus' ) ) {
function register_menus() {
	register_nav_menus(
		array(
			'main-menu' => esc_html__( 'Main Menu', 'jawn' ),
			'mobile-menu' => esc_html__( 'Fly-Out Menu', 'jawn' ),
			'footer-menu' => esc_html__( 'Footer Menu', 'jawn' ))
	  	);
	  }
}
add_action( 'init', 'register_menus' );

/////////////////////////////////////
// Register Mega Menu
/////////////////////////////////////

add_filter( 'walker_nav_menu_start_el', 'mvp_walker_nav_menu_start_el', 10, 4 );

function mvp_walker_nav_menu_start_el( $item_output, $item, $depth, $args ) {
	global $wp_query;
    // The mega dropdown only applies to the main navigation.
    // Your theme location name may be different, "main" is just something I tend to use.
    if ( 'main-menu' !== $args->theme_location )
        return $item_output;

    // The mega dropdown needs to be added to one specific menu item.
    // I like to add a custom CSS class for that menu via the admin area.
    // You could also do an item ID check.
    if ( in_array( 'mvp-mega-dropdown', $item->classes ) ) {
        global $wp_query;
        global $post;
        $subposts = get_posts( 'numberposts=5&cat=' . $item->object_id );
	$item_output .= '<div class="mvp-mega-dropdown"><div class="mvp-main-box"><ul class="mvp-mega-list">';
            foreach( $subposts as $post ) :
                setup_postdata( $post );
                $item_output .= '<li><a href="'. get_permalink( $post->ID ) .'"><div class="mvp-mega-img">';
				$item_output .= get_the_post_thumbnail( $post->ID, 'mvp-mid-thumb' );
				$item_output .= '</div><p>';
				$item_output .= get_the_title( $post->ID );
                $item_output .= '</p></a></li>';
            endforeach; wp_reset_postdata();
	$item_output .= '</ul></div></div>';

    }

    return $item_output;
}

/////////////////////////////////////
// Register Custom Background
/////////////////////////////////////

$custombg = array(
	'default-color' => 'f5f5f5',
);
add_theme_support( 'custom-background', $custombg );

/////////////////////////////////////
// Register Thumbnails
/////////////////////////////////////

if ( function_exists( 'add_theme_support' ) ) {
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 1000, 563, true );
add_image_size( 'mvp-large-thumb', 1000, 563, true );
add_image_size( 'mvp-mid-thumb', 560, 315, true );
add_image_size( 'mvp-small-thumb', 80, 80, true );
}

/////////////////////////////////////
// Title Meta Data
/////////////////////////////////////

add_theme_support( 'title-tag' );

function mvp_filter_home_title(){
if ( ( is_home() && ! is_front_page() ) || ( ! is_home() && is_front_page() ) ) {
    $mvpHomeTitle = get_bloginfo( 'name', 'display' );
    $mvpHomeDesc = get_bloginfo( 'description', 'display' );
    return $mvpHomeTitle . " - " . $mvpHomeDesc;
}
}
add_filter( 'pre_get_document_title', 'mvp_filter_home_title');

/////////////////////////////////////
// Add Custom Meta Box
/////////////////////////////////////

/* Fire our meta box setup function on the post editor screen. */
add_action( 'load-post.php', 'mvp_post_meta_boxes_setup' );
add_action( 'load-post-new.php', 'mvp_post_meta_boxes_setup' );

/* Meta box setup function. */
if ( !function_exists( 'mvp_post_meta_boxes_setup' ) ) {
function mvp_post_meta_boxes_setup() {

	/* Add meta boxes on the 'add_meta_boxes' hook. */
	add_action( 'add_meta_boxes', 'mvp_add_post_meta_boxes' );

	/* Save post meta on the 'save_post' hook. */
	add_action( 'save_post', 'mvp_save_video_embed_meta', 10, 2 );
	add_action( 'save_post', 'mvp_save_featured_headline_meta', 10, 2 );
	add_action( 'save_post', 'mvp_save_post_template_meta', 10, 2 );
	add_action( 'save_post', 'mvp_save_featured_image_meta', 10, 2 );
	add_action( 'save_post', 'mvp_save_post_side_meta', 10, 2 );
}
}

/* Create one or more meta boxes to be displayed on the post editor screen. */
if ( !function_exists( 'mvp_add_post_meta_boxes' ) ) {
function mvp_add_post_meta_boxes() {

	add_meta_box(
		'mvp-video-embed',			// Unique ID
		esc_html__( 'Video/Audio Embed', 'jawn' ),		// Title
		'mvp_video_embed_meta_box',		// Callback function
		'post',					// Admin page (or post type)
		'normal',				// Context
		'high'					// Priority
	);

	add_meta_box(
		'mvp-featured-headline',			// Unique ID
		esc_html__( 'Featured Headline', 'jawn' ),		// Title
		'mvp_featured_headline_meta_box',		// Callback function
		'post',					// Admin page (or post type)
		'normal',				// Context
		'high'					// Priority
	);

	add_meta_box(
		'mvp-post-template',			// Unique ID
		esc_html__( 'Post Template', 'jawn' ),		// Title
		'mvp_post_template_meta_box',		// Callback function
		'post',					// Admin page (or post type)
		'side',					// Context
		'core'					// Priority
	);

	add_meta_box(
		'mvp-featured-image',			// Unique ID
		esc_html__( 'Featured Image Show/Hide', 'jawn' ),		// Title
		'mvp_featured_image_meta_box',		// Callback function
		'post',					// Admin page (or post type)
		'side',					// Context
		'core'					// Priority
	);

	add_meta_box(
		'mvp-post-side',			// Unique ID
		esc_html__( 'Post Sidebar Show/Hide', 'jawn' ),		// Title
		'mvp_post_side_meta_box',		// Callback function
		'post',					// Admin page (or post type)
		'side',					// Context
		'core'					// Priority
	);

}
}

/* Display the post meta box. */
if ( !function_exists( 'mvp_featured_headline_meta_box' ) ) {
function mvp_featured_headline_meta_box( $object, $box ) { ?>

	<?php wp_nonce_field( 'mvp_save_featured_headline_meta', 'mvp_featured_headline_nonce' ); ?>

	<p>
		<label for="mvp-featured-headline"><?php esc_html_e( "Add a custom featured headline that will be displayed in the featured slider.", 'jawn' ); ?></label>
		<br />
		<input class="widefat" type="text" name="mvp-featured-headline" id="mvp-featured-headline" value="<?php echo esc_html( get_post_meta( $object->ID, 'mvp_featured_headline', true ) ); ?>" size="30" />
	</p>

<?php }
}

/* Display the post meta box. */
if ( !function_exists( 'mvp_video_embed_meta_box' ) ) {
function mvp_video_embed_meta_box( $object, $box ) { ?>

	<?php wp_nonce_field( 'mvp_save_video_embed_meta', 'mvp_video_embed_nonce' ); ?>

	<p>
		<label for="mvp-video-embed"><?php esc_html_e( "Enter your video or audio embed code.", 'jawn' ); ?></label>
		<br />
		<input class="widefat" type="text" name="mvp-video-embed" id="mvp-video-embed" value="<?php echo esc_html( get_post_meta( $object->ID, 'mvp_video_embed', true ) ); ?>" />
	</p>

<?php }
}

/* Display the post meta box. */
if ( !function_exists( 'mvp_post_template_meta_box' ) ) {
function mvp_post_template_meta_box( $object, $box ) { ?>

	<?php wp_nonce_field( 'mvp_save_post_template_meta', 'mvp_post_template_nonce' ); $selected = esc_html( get_post_meta( $object->ID, 'mvp_post_template', true ) ); ?>

	<p>
		<label for="mvp-post-template"><?php esc_html_e( "Select a template for your post.", 'jawn' ); ?></label>
		<br /><br />
		<select class="widefat" name="mvp-post-template" id="mvp-post-template">
			<option value="global" <?php selected( $selected, 'global' ); ?>>Use Global Setting</option>
			<option value="temp1" <?php selected( $selected, 'temp1' ); ?>>Template 1</option>
			<option value="temp2" <?php selected( $selected, 'temp2' ); ?>>Template 2</option>
			<option value="temp3" <?php selected( $selected, 'temp3' ); ?>>Template 3</option>
			<option value="temp4" <?php selected( $selected, 'temp4' ); ?>>Template 4</option>
			<option value="temp5" <?php selected( $selected, 'temp5' ); ?>>Template 5</option>
        	</select>
	</p>
<?php }
}

/* Display the post meta box. */
if ( !function_exists( 'mvp_featured_image_meta_box' ) ) {
function mvp_featured_image_meta_box( $object, $box ) { ?>

	<?php wp_nonce_field( 'mvp_save_featured_image_meta', 'mvp_featured_image_nonce' ); $selected = esc_html( get_post_meta( $object->ID, 'mvp_featured_image', true ) ); ?>

	<p>
		<label for="mvp-featured-image"><?php esc_html_e( "Select to show or hide the featured image from automatically displaying in this post.", 'jawn' ); ?></label>
		<br /><br />
		<select class="widefat" name="mvp-featured-image" id="mvp-featured-image">
            		<option value="show" <?php selected( $selected, 'show' ); ?>>Show</option>
            		<option value="hide" <?php selected( $selected, 'hide' ); ?>>Hide</option>
        	</select>
	</p>
<?php }
}

/* Display the post meta box. */
if ( !function_exists( 'mvp_post_side_meta_box' ) ) {
function mvp_post_side_meta_box( $object, $box ) { ?>

	<?php wp_nonce_field( 'mvp_save_post_side_meta', 'mvp_post_side_nonce' ); $selected = esc_html( get_post_meta( $object->ID, 'mvp_post_side', true ) ); ?>

	<p>
		<label for="mvp-post-side"><?php esc_html_e( "Select to show or hide the sidebar for this post.", 'jawn' ); ?></label>
		<br /><br />
		<select class="widefat" name="mvp-post-side" id="mvp-post-side">
           	<option value="show" <?php selected( $selected, 'show' ); ?>>Show</option>
            <option value="hide" <?php selected( $selected, 'hide' ); ?>>Hide</option>
        </select>
	</p>
<?php }
}

/* Save the meta box's post metadata. */
if ( !function_exists( 'mvp_save_video_embed_meta' ) ) {
function mvp_save_video_embed_meta( $post_id, $post ) {

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['mvp_video_embed_nonce'] ) || !wp_verify_nonce( $_POST['mvp_video_embed_nonce'], 'mvp_save_video_embed_meta' ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['mvp-video-embed'] ) ? balanceTags( html_entity_decode( $_POST['mvp-video-embed'] ) ) : '' );

	/* Get the meta key. */
	$meta_key = 'mvp_video_embed';

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
} }

/* Save the meta box's post metadata. */
if ( !function_exists( 'mvp_save_featured_headline_meta' ) ) {
function mvp_save_featured_headline_meta( $post_id, $post ) {

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['mvp_featured_headline_nonce'] ) || !wp_verify_nonce( $_POST['mvp_featured_headline_nonce'], 'mvp_save_featured_headline_meta' ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['mvp-featured-headline'] ) ? balanceTags( html_entity_decode( $_POST['mvp-featured-headline'] ) ) : '' );

	/* Get the meta key. */
	$meta_key = 'mvp_featured_headline';

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
} }

/* Save the meta box's post metadata. */
if ( !function_exists( 'mvp_save_post_template_meta' ) ) {
function mvp_save_post_template_meta( $post_id, $post ) {

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['mvp_post_template_nonce'] ) || !wp_verify_nonce( $_POST['mvp_post_template_nonce'], 'mvp_save_post_template_meta' ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['mvp-post-template'] ) ? balanceTags( html_entity_decode( $_POST['mvp-post-template'] ) ) : '' );

	/* Get the meta key. */
	$meta_key = 'mvp_post_template';

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
} }

/* Save the meta box's post metadata. */
if ( !function_exists( 'mvp_save_featured_image_meta' ) ) {
function mvp_save_featured_image_meta( $post_id, $post ) {

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['mvp_featured_image_nonce'] ) || !wp_verify_nonce( $_POST['mvp_featured_image_nonce'], 'mvp_save_featured_image_meta' ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['mvp-featured-image'] ) ? balanceTags( html_entity_decode( $_POST['mvp-featured-image'] ) ) : '' );

	/* Get the meta key. */
	$meta_key = 'mvp_featured_image';

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
} }

/* Save the meta box's post metadata. */
if ( !function_exists( 'mvp_save_post_side_meta' ) ) {
function mvp_save_post_side_meta( $post_id, $post ) {

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['mvp_post_side_nonce'] ) || !wp_verify_nonce( $_POST['mvp_post_side_nonce'], 'mvp_save_post_side_meta' ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['mvp-post-side'] ) ? balanceTags( html_entity_decode( $_POST['mvp-post-side'] ) ) : '' );

	/* Get the meta key. */
	$meta_key = 'mvp_post_side';

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
} }

/////////////////////////////////////
// Comments
/////////////////////////////////////

if ( !function_exists( 'mvp_comment' ) ) {
function mvp_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div class="comment-wrapper" id="comment-<?php comment_ID(); ?>">
			<div class="comment-inner">
				<div class="comment-avatar">
					<?php echo get_avatar( $comment, 46 ); ?>
				</div>
				<div class="commentmeta">
					<p class="comment-meta-1">
						<?php printf( esc_html__( '%s ', 'jawn'), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
					</p>
					<p class="comment-meta-2">
						<?php echo get_comment_date(); ?> <?php esc_html_e( 'at', 'jawn'); ?> <?php echo get_comment_time(); ?>
						<?php edit_comment_link( esc_html__( 'Edit', 'jawn'), '(' , ')'); ?>
					</p>
				</div>
				<div class="text">
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<p class="waiting_approval"><?php esc_html_e( 'Your comment is awaiting moderation.', 'jawn' ); ?></p>
					<?php endif; ?>
					<div class="c">
						<?php comment_text(); ?>
					</div>
				</div><!-- .text  -->
				<div class="clear"></div>
				<div class="comment-reply"><span class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span></div>
			</div><!-- comment-inner  -->
		</div><!-- comment-wrapper  -->
	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php esc_html_e( 'Pingback:', 'jawn' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'jawn' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
}

if ( !function_exists( 'mvpClickCommmentButton' ) ) {
function mvpClickCommmentButton($disqus_shortname){
    global $post;
    echo '
    <script type="text/javascript">
	jQuery(document).ready(function($) {
  	  $(".mvp-com-click-'.$post->ID.'").on("click", function(){
  	    $(".mvp-com-click-id-'.$post->ID.'").show();
	    $(".disqus-thread-'.$post->ID.'").show();
  	    $(".mvp-com-but-'.$post->ID.'").hide();
	  });
	});
    </script>';
}
}

/////////////////////////////////////
// Related Posts
/////////////////////////////////////

if ( !function_exists( 'mvp_RelatedPosts' ) ) {
function mvp_RelatedPosts() {
    global $post;
    $orig_post = $post;

    $tags = wp_get_post_tags($post->ID);
    if ($tags) {

	$mvp_related_num = esc_html(get_option('mvp_related_num'));
	$slider_exclude = esc_html(get_option('mvp_feat_posts_tags'));
	$tag_exclude_slider = get_term_by('slug', $slider_exclude, 'post_tag');
	if (!empty( $tag_exclude_slider )) {
		$tag_id_exclude_slider =  $tag_exclude_slider->term_id;
       		$tag_ids = array();
        	foreach($tags as $individual_tag) {
			$excluded_tags = array($tag_id_exclude_slider);
      			if (in_array($individual_tag->term_id,$excluded_tags)) continue;
 			$tag_ids[] = $individual_tag->term_id;
		}
	} else {
       		$tag_ids = array();
        	foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
	}
        $args=array(
            'tag__in' => $tag_ids,
	    'order' => 'DESC',
	    'orderby' => 'date',
            'post__not_in' => array($post->ID),
            'posts_per_page'=> $mvp_related_num,
            'ignore_sticky_posts'=> 1
        );
        $my_query = new WP_Query( $args );
        if( $my_query->have_posts() ) { ?>
				<div class="mvp-post-more-grid">
            		<?php while( $my_query->have_posts() ) { $my_query->the_post(); ?>
						<div class="mvp-post-more-story">
							<a href="<?php the_permalink(); ?>" rel="bookmark">
								<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
									<div class="mvp-post-more-img relative">
										<?php the_post_thumbnail('mvp-mid-thumb', array( 'class' => 'mvp-reg-img' )); ?>
										<?php the_post_thumbnail('mvp-small-thumb', array( 'class' => 'mvp-mob-img' )); ?>
									</div><!--mvp-post-more-img-->
								<?php } ?>
								<div class="mvp-post-more-text relative">
									<p><?php the_title(); ?></p>
									<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
								</div><!--mvp-post-more-text-->
							</a>
						</div><!--mvp-post-more-story-->
            		<?php }
            echo '</div>';
        }
    }
    $post = $orig_post;
    wp_reset_query();
}
}

/////////////////////////////////////
// Popular Posts
/////////////////////////////////////

if ( !function_exists( 'getCrunchifyPostViews' ) ) {
function getCrunchifyPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';
}
}

if ( !function_exists( 'setCrunchifyPostViews' ) ) {
function setCrunchifyPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
}

/////////////////////////////////////
// Auto Load Posts
/////////////////////////////////////

$alp_side = get_option('mvp_alp'); if ($alp_side == "true") {
if (isset($alp_side)) {
if ( !function_exists( 'getPostHTML' ) ) {
function getPostHTML($post, $current = false)
	{
		ob_start();
		?>
		<div class="alp-related-post post-<?php echo esc_html($post->ID); ?> <?php echo (esc_html($current) ? 'current' : ''); ?>" data-id="<?php echo esc_html($post->ID); ?>" data-document-title="">
		<?php
		$postThumbnailUrl = get_the_post_thumbnail_url($post->ID, 'thumbnail');
		if($postThumbnailUrl)
		{
		?>

			<?php
				}
			?>
			<div class="post-details">
				<p class="post-meta">
					<?php
					$postCategories = get_the_category($post->ID);
					if($postCategories)
					{
						foreach($postCategories as $postCategory)
						{
						?>
							<a class="post-category" href="<?php echo get_category_link($postCategory->term_id); ?>"><?php echo esc_html($postCategory->name); ?></a>
						<?php
						}
					}
					?>
				</p>
				<a class="post-title" href="<?php echo get_permalink($post->ID); ?>"><?php echo html_entity_decode($post->post_title); ?></a>
			</div>
			<?php $socialbox = get_option('mvp_social_box'); if ($socialbox == "true") { ?>
				<div class="mvp-alp-soc-wrap">
					<ul class="mvp-alp-soc-list">
						<a href="#" onclick="window.open('http://www.facebook.com/sharer.php?u=<?php the_permalink($post->ID);?>&amp;t=<?php the_title_attribute(array('post'=>$post->ID)); ?>', 'facebookShare', 'width=626,height=436'); return false;" title="<?php esc_html_e( 'Share on Facebook', 'jawn' ); ?>">
							<li class="mvp-alp-soc-fb"><span class="fab fa-facebook"></span></li>
						</a>
						<a href="#" onclick="window.open('http://twitter.com/share?text=<?php the_title_attribute(array('post'=>$post->ID)); ?> &amp;url=<?php the_permalink($post->ID) ?>', 'twitterShare', 'width=626,height=436'); return false;" title="<?php esc_html_e( 'Tweet This Post', 'jawn' ); ?>">
							<li class="mvp-alp-soc-twit"><span class="fab fa-twitter"></span></li>
						</a>
						<a href="#" onclick="window.open('http://pinterest.com/pin/create/button/?url=<?php the_permalink($post->ID);?>&amp;media=<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'mvp-large-thumb' ); echo esc_url($thumb['0']); ?>&amp;description=<?php the_title_attribute(array('post'=>$post->ID)); ?>', 'pinterestShare', 'width=750,height=350'); return false;" title="<?php esc_html_e( 'Pin This Post', 'jawn' ); ?>">
							<li class="mvp-alp-soc-pin"><span class="fab fa-pinterest-p"></span></li>
						</a>
						<a href="mailto:?subject=<?php the_title_attribute(array('post'=>$post->ID)); ?>&amp;BODY=<?php esc_html_e( 'I found this article interesting and thought of sharing it with you. Check it out:', 'jawn' ); ?> <?php the_permalink($post->ID); ?>">
							<li class="mvp-alp-soc-com"><span class="fas fa-envelope"></span></li>
						</a>
					</ul>
				</div>
			<?php } ?>
		</div>
		<?php
		return ob_get_clean();
	}
}
} }

/////////////////////////////////////
// Pagination
/////////////////////////////////////

if ( !function_exists( 'pagination' ) ) {
function pagination($pages = '', $range = 4)
{
     $showitems = ($range * 2)+1;

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }

     if(1 != $pages)
     {
         echo "<div class=\"pagination\"><span>".__( 'Page', 'jawn' )." ".$paged." ".__( 'of', 'jawn' )." ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; ".__( 'First', 'jawn' )."</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; ".__( 'Previous', 'jawn' )."</a>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
             }
         }

         if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">".__( 'Next', 'jawn' )." &rsaquo;</a>";
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>".__( 'Last', 'jawn' )." &raquo;</a>";
         echo "</div>\n";
     }
}
}

/////////////////////////////////////
// Disqus Comments
/////////////////////////////////////

$disqus_id = get_option('mvp_disqus_id'); if (isset($disqus_id)) {
if ( !function_exists( 'mvp_disqus_embed' ) ) {
function mvp_disqus_embed($disqus_shortname) {
    global $post;
    wp_enqueue_script('disqus_embed','//'.$disqus_shortname.'.disqus.com/embed.js');
    echo '<div id="disqus_thread" class="disqus-thread-'.$post->ID.'"></div>
    <script type="text/javascript">
        var disqus_shortname = "'.$disqus_shortname.'";
        var disqus_title = "'.$post->post_title.'";
        var disqus_url = "'.get_permalink($post->ID).'";
        var disqus_identifier = "'.$disqus_shortname.'-'.$post->ID.'";
    </script>';
}
}
}

/////////////////////////////////////
// Lazy Load
/////////////////////////////////////

add_action('wp_enqueue_scripts', function () {
   wp_enqueue_script( 'intersection-observer-polyfill', get_template_directory_uri() . '/js/intersection-observer.js', '', null, true );
   wp_enqueue_script( 'lozad', get_template_directory_uri() . '/js/lozad.min.js', 'intersection-observer-polyfill', null, true );
	wp_add_inline_script( 'lozad', '
	var mvpWidgets = document.querySelectorAll("#mvp-home-widget-wrap img");
	lozad(mvpWidgets, {
		rootMargin: "0px 0px",
		loaded: function (el) {
			el.classList.add("is-loaded");
		}
	}).observe();
');
});

/////////////////////////////////////
// Remove Pages From Search Results
/////////////////////////////////////

if ( !is_admin() ) {

function mvp_SearchFilter($query) {
if ($query->is_search) {
$query->set('post_type', 'post');
}
return $query;
}

add_filter('pre_get_posts','mvp_SearchFilter');

}

/////////////////////////////////////
// Miscellaneous
/////////////////////////////////////

// Place Wordpress Admin Bar Above Main Navigation

if ( is_user_logged_in() ) {
	if ( is_admin_bar_showing() ) {
	function mvp_admin_bar() {
		echo "
			<style type='text/css'>
			#mvp-leader-wrap {top: 32px;}
			.mvp-fixed {top: -38px !important;}
			</style>
		";
	}
	add_action( 'wp_head', 'mvp_admin_bar' );
	}
}

// Set Content Width
if ( ! isset( $content_width ) ) $content_width = 740;

// Add RSS links to <head> section
add_theme_support( 'automatic-feed-links' );

add_action('init', 'do_output_buffer');
function do_output_buffer() {
        ob_start();
}

/////////////////////////////////////
// Google AMP
/////////////////////////////////////

$mvp_enable_amp = get_option('mvp_amp'); if ($mvp_enable_amp == "true") {

add_filter( 'amp_post_template_file', 'mvp_amp_set_custom_template', 10, 3 );
function mvp_amp_set_custom_template( $file, $type, $post ) {
	if ( 'single' === $type ) {
		$file = dirname( __FILE__ ) . '/amp-single.php';
	}
	return $file;
}

add_action( 'amp_post_template_head', 'isa_remove_amp_google_fonts', 2 );
function isa_remove_amp_google_fonts() {
    remove_action( 'amp_post_template_head', 'amp_post_template_add_fonts' );
}

add_action('amp_post_template_head','mvp_amp_google_font');
 function mvp_amp_google_font( $amp_template ) {
	$mvp_content_font = get_option('mvp_content_font');
	$mvp_amp_content_font = preg_replace("/ /","+",$mvp_content_font);
	$mvp_para_font = get_option('mvp_para_font');
	$mvp_amp_para_font = preg_replace("/ /","+",$mvp_para_font);
	$mvp_menu_font = get_option('mvp_menu_font');
	$mvp_amp_menu_font = preg_replace("/ /","+",$mvp_menu_font);
	$mvp_headline_font = get_option('mvp_headline_font');
	$mvp_amp_headline_font = preg_replace("/ /","+",$mvp_headline_font);
	$mvp_featured_font = get_option('mvp_featured_font');
	$mvp_amp_featured_font = preg_replace("/ /","+",$mvp_featured_font);
	$mvp_title_font = get_option('mvp_title_font');
	$mvp_amp_title_font = preg_replace("/ /","+",$mvp_title_font);
	$mvp_head_font = get_option('mvp_head_font');
	$mvp_amp_head_font = preg_replace("/ /","+",$mvp_head_font);
 ?>
 <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open Sans:700|<?php echo esc_html($mvp_amp_featured_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_title_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_head_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_headline_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_content_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_para_font); ?>:100,200,300,400,500,600,700,800,900|<?php echo esc_html($mvp_amp_menu_font); ?>:100,200,300,400,500,600,700,800,900&subset=arabic,latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese">
 <?php
 }

add_action( 'amp_post_template_css', 'mvp_amp_my_additional_css_styles' );
function mvp_amp_my_additional_css_styles( $amp_template ) {
	$primarycolor = get_option('mvp_primary_color');
	$secondcolor = get_option('mvp_second_color');
	$topnavbg = get_option('mvp_top_nav_bg');
	$topnavtext = get_option('mvp_top_nav_text');
	$topnavhover = get_option('mvp_top_nav_hover');
	$botnavbg = get_option('mvp_bot_nav_bg');
	$botnavtext = get_option('mvp_bot_nav_text');
	$botnavhover = get_option('mvp_bot_nav_hover');
	$link = get_option('mvp_link_color');
	$contentbg = get_option('mvp_content_bg');
	$content_font = get_option('mvp_content_font');
	$content_font_style = get_option('mvp_content_font_style');
	$content_font_variant = get_option('mvp_content_font_variant');
	$para_font = get_option('mvp_para_font');
	$para_font_style = get_option('mvp_para_font_style');
	$para_font_variant = get_option('mvp_para_font_variant');
	$menu_font = get_option('mvp_menu_font');
	$menu_font_style = get_option('mvp_menu_font_style');
	$menu_font_variant = get_option('mvp_menu_font_variant');
	$headline_font = get_option('mvp_headline_font');
	$headline_font_style = get_option('mvp_headline_font_style');
	$headline_font_variant = get_option('mvp_headline_font_variant');
	$featured_font = get_option('mvp_feat_font');
	$featured_font_style = get_option('mvp_feat_font_style');
	$featured_font_variant = get_option('mvp_feat_font_variant');
	$title_font = get_option('mvp_title_font');
	$title_font_style = get_option('mvp_title_font_style');
	$title_font_variant = get_option('mvp_title_font_variant');
	$head_font = get_option('mvp_head_font');
	$head_font_style = get_option('mvp_head_font_style');
	$head_font_variant = get_option('mvp_head_font_variant');
	?>

a,
a:visited,
#mvp-content-main p a:hover,
.mvp-post-add-main p a:hover {
	color: <?php echo esc_html($link); ?>;
	}

#mvp-content-main p a,
.mvp-post-add-main p a {
	box-shadow: inset 0 -1px 0 <?php echo esc_html($link); ?>;
	}

span.mvp-post-cat {
	border-bottom: 1px solid <?php echo esc_html($primarycolor); ?>;
	}

#mvp-main-nav-small-cont,
#mvp-fly-wrap {
	background: <?php echo esc_html($topnavbg); ?>;
	}

nav.mvp-fly-nav-menu ul li a {
	color: 	<?php echo esc_html($topnavtext); ?>;
	}

.mvp-fly-but-wrap span {
	background: <?php echo esc_html($topnavtext); ?>;
	}

nav.mvp-fly-nav-menu ul li a:hover {
	color: <?php echo esc_html($topnavhover); ?>;
	}

.mvp-fly-but-wrap:hover span {
	background: <?php echo esc_html($topnavhover); ?>;
	}

body,
span.mvp-post-img-cap,
.mvp-post-tags,
span.mvp-post-excerpt,
span.mvp-post-img-cap,
.wp-caption,
#mvp-content-main p.wp-caption-text,
.gallery-caption,
.mvp-post-add-main p.wp-caption-text,
span.mvp-cat-bub {
	font-family: '<?php echo esc_html($content_font); ?>', sans-serif;
	font-weight: <?php echo esc_html($content_font_style); ?>;
	text-transform: <?php echo esc_html($content_font_variant); ?>;
	}

nav.mvp-fly-nav-menu ul li a {
	font-family: '<?php echo esc_html($menu_font); ?>', sans-serif;
	font-weight: <?php echo esc_html($menu_font_style); ?>;
	text-transform: <?php echo esc_html($menu_font_variant); ?>;
	}

h1.mvp-post-title,
#mvp-content-main blockquote p {
	font-family: '<?php echo esc_html($title_font); ?>', sans-serif;
	font-weight: <?php echo esc_html($title_font_style); ?>;
	text-transform: <?php echo esc_html($title_font_variant); ?>;
	}

#mvp-content-main p,
#mvp-content-main ul li,
#mvp-content-main ol li {
	font-family: '<?php echo esc_html($para_font); ?>', serif;
	font-weight: <?php echo esc_html($para_font_style); ?>;
	text-transform: <?php echo esc_html($para_font_variant); ?>;
	}

span.mvp-post-cat {
	font-family: '<?php echo esc_html($headline_font); ?>', sans-serif;
	font-weight: <?php echo esc_html($headline_font_style); ?>;
	text-transform: <?php echo esc_html($headline_font_variant); ?>;
	}

#mvp-content-main h1,
#mvp-content-main h2,
#mvp-content-main h3,
#mvp-content-main h4,
#mvp-content-main h5,
#mvp-content-main h6,
#mvp-comments-button a,
#mvp-comments-button span.mvp-comment-but-text {
	font-family: '<?php echo esc_html($head_font); ?>', sans-serif;
	font-weight: <?php echo esc_html($head_font_style); ?>;
	text-transform: <?php echo esc_html($head_font_variant); ?>;
	}

span.mvp-post-header {
	font-family: '<?php echo esc_html($head_font); ?>', sans-serif;
	font-weight: 900;
	text-transform: none;
	}

	<?php
}

}

/////////////////////////////////////
// WooCommerce
/////////////////////////////////////

add_theme_support( 'woocommerce' );
add_theme_support( 'wc-product-gallery-zoom' );
add_theme_support( 'wc-product-gallery-lightbox' );
add_theme_support( 'wc-product-gallery-slider' );

/////////////////////////////////////
// Demo Import
/////////////////////////////////////

function ocdi_import_files() {
  return array(
    array(
      'import_file_name'             => 'Jawn Demo Import',
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'import/jawn.xml',
      'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'import/jawn.wie',
      'import_preview_image_url'     => trailingslashit( get_template_directory() ) . 'screenshot.png',
      'preview_url'                  => 'http://www.mvpthemes.com/jawn',
    ),
  );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );

function ocdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'main-menu' => $main_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );

/////////////////////////////////////
// Bundled Plugins
/////////////////////////////////////

require_once get_template_directory() . '/plugins/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'jawn_register_required_plugins' );

function jawn_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		array(
			'name'               => 'Jawn Social Buttons',
			'slug'               => 'jawn-social',
			'source'             => get_template_directory() . '/plugins/jawn-social.zip',
			'required'           => true,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Jawn Email Subscription',
			'slug'               => 'jawn-email',
			'source'             => get_template_directory() . '/plugins/jawn-email-subscription.zip',
			'required'           => true,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Jawn Auto Load Posts',
			'slug'               => 'jawn-alp',
			'source'             => get_template_directory() . '/plugins/jawn-alp.zip',
			'required'           => true,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'One Click Demo Import',
			'slug'               => 'one-click-demo-import',
			'source'             => get_template_directory() . '/plugins/one-click-demo-import.zip',
			'required'           => false,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Google AMP',
			'slug'               => 'amp',
			'source'             => get_template_directory() . '/plugins/amp.zip',
			'required'           => false,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Reviewer Plugin',
			'slug'               => 'reviewer',
			'source'             => get_template_directory() . '/plugins/reviewer.zip',
			'required'           => false,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Theia Post Slider',
			'slug'               => 'theia-post-slider',
			'source'             => get_template_directory() . '/plugins/theia-post-slider.zip',
			'required'           => false,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => 'Theia Sticky Sidebar',
			'slug'               => 'theia-sticky-sidebar',
			'source'             => get_template_directory() . '/plugins/theia-sticky-sidebar.zip',
			'required'           => false,
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
		),


	);

	$config = array(
		'id'           => 'jawn',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		/*
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'jawn' ),
			'menu_title'                      => __( 'Install Plugins', 'jawn' ),
			/* translators: %s: plugin name. * /
			'installing'                      => __( 'Installing Plugin: %s', 'jawn' ),
			/* translators: %s: plugin name. * /
			'updating'                        => __( 'Updating Plugin: %s', 'jawn' ),
			'oops'                            => __( 'Something went wrong with the plugin API.', 'jawn' ),
			'notice_can_install_required'     => _n_noop(
				/* translators: 1: plugin name(s). * /
				'This theme requires the following plugin: %1$s.',
				'This theme requires the following plugins: %1$s.',
				'jawn'
			),
			'notice_can_install_recommended'  => _n_noop(
				/* translators: 1: plugin name(s). * /
				'This theme recommends the following plugin: %1$s.',
				'This theme recommends the following plugins: %1$s.',
				'jawn'
			),
			'notice_ask_to_update'            => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
				'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
				'jawn'
			),
			'notice_ask_to_update_maybe'      => _n_noop(
				/* translators: 1: plugin name(s). * /
				'There is an update available for: %1$s.',
				'There are updates available for the following plugins: %1$s.',
				'jawn'
			),
			'notice_can_activate_required'    => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following required plugin is currently inactive: %1$s.',
				'The following required plugins are currently inactive: %1$s.',
				'jawn'
			),
			'notice_can_activate_recommended' => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following recommended plugin is currently inactive: %1$s.',
				'The following recommended plugins are currently inactive: %1$s.',
				'jawn'
			),
			'install_link'                    => _n_noop(
				'Begin installing plugin',
				'Begin installing plugins',
				'jawn'
			),
			'update_link' 					  => _n_noop(
				'Begin updating plugin',
				'Begin updating plugins',
				'jawn'
			),
			'activate_link'                   => _n_noop(
				'Begin activating plugin',
				'Begin activating plugins',
				'jawn'
			),
			'return'                          => __( 'Return to Required Plugins Installer', 'jawn' ),
			'plugin_activated'                => __( 'Plugin activated successfully.', 'jawn' ),
			'activated_successfully'          => __( 'The following plugin was activated successfully:', 'jawn' ),
			/* translators: 1: plugin name. * /
			'plugin_already_active'           => __( 'No action taken. Plugin %1$s was already active.', 'jawn' ),
			/* translators: 1: plugin name. * /
			'plugin_needs_higher_version'     => __( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'jawn' ),
			/* translators: 1: dashboard link. * /
			'complete'                        => __( 'All plugins installed and activated successfully. %1$s', 'jawn' ),
			'dismiss'                         => __( 'Dismiss this notice', 'jawn' ),
			'notice_cannot_install_activate'  => __( 'There are one or more required or recommended plugins to install, update or activate.', 'jawn' ),
			'contact_admin'                   => __( 'Please contact the administrator of this site for help.', 'jawn' ),

			'nag_type'                        => '', // Determines admin notice type - can only be one of the typical WP notice classes, such as 'updated', 'update-nag', 'notice-warning', 'notice-info' or 'error'. Some of which may not work as expected in older WP versions.
		),
		*/
	);

	tgmpa( $plugins, $config );
}


?>