<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo('charset'); ?>" >
<meta name="viewport" id="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { if(get_option('mvp_favicon')) { ?><link rel="shortcut icon" href="<?php echo esc_url(get_option('mvp_favicon')); ?>" /><?php } } ?>
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_single() ) { ?>
	<meta property="og:type" content="article" />
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
			<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'mvp-large-thumb' ); ?>
			<meta property="og:image" content="<?php echo esc_url( $thumb['0'] ); ?>" />
			<meta name="twitter:image" content="<?php echo esc_url( $thumb['0'] ); ?>" />
		<?php } ?>
		<meta property="og:url" content="<?php the_permalink() ?>" />
		<meta property="og:title" content="<?php the_title_attribute(); ?>" />
		<meta property="og:description" content="<?php echo strip_tags(get_the_excerpt()); ?>" />
		<meta name="twitter:card" content="summary">
		<meta name="twitter:url" content="<?php the_permalink() ?>">
		<meta name="twitter:title" content="<?php the_title_attribute(); ?>">
		<meta name="twitter:description" content="<?php echo strip_tags(get_the_excerpt()); ?>">
	<?php endwhile; endif; ?>
<?php } else { ?>
	<meta property="og:description" content="<?php bloginfo('description'); ?>" />
<?php } ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(''); ?>>
	<?php get_template_part( 'parts/fly', 'menu' ); ?>
	<div id="mvp-site" class="left relative">
		<?php if(get_option('mvp_wall_ad')) { ?>
			<div id="mvp-wallpaper">
				<?php if(get_option('mvp_wall_url')) { ?>
					<a href="<?php echo esc_url(get_option('mvp_wall_url')); ?>" class="mvp-wall-link" target="_blank"></a>
				<?php } ?>
			</div><!--mvp-wallpaper-->
		<?php } ?>
		<div id="mvp-site-wall" class="left relative">
			<div id="mvp-leader-wrap">
				<?php if (! is_404()) { ?>
					<?php $mvp_leader_ad = get_option('mvp_header_leader'); if ($mvp_leader_ad && ! is_404()) { echo html_entity_decode($mvp_leader_ad); } ?>
				<?php } ?>
			</div><!--mvp-leader-wrap-->
			<div id="mvp-site-main" class="left relative">
				<div id="mvp-site-grid">
					<header id="mvp-main-head-wrap" class="left relative">
						<?php if ( is_home() || is_front_page() ) { $mvp_feat_posts = get_option('mvp_feat_posts'); if ($mvp_feat_posts == "true") { ?>
							<?php get_template_part( 'parts/feat', 'head' ); ?>
						<?php } } ?>
						<div class="mvp-main-head-top left relative">
							<div class="mvp-main-ht-grid">
								<div class="mvp-main-ht-left">
									<div class="mvp-top-soc-wrap">
										<?php if(get_option('mvp_facebook')) { ?>
											<a href="<?php echo esc_html(get_option('mvp_facebook')); ?>" target="_blank"><span class="mvp-top-soc-but fab fa-facebook-f"></span></a>
										<?php } ?>
										<?php if(get_option('mvp_twitter')) { ?>
											<a href="<?php echo esc_html(get_option('mvp_twitter')); ?>" target="_blank"><span class="mvp-top-soc-but fab fa-twitter"></span></a>
										<?php } ?>
										<?php if(get_option('mvp_instagram')) { ?>
											<a href="<?php echo esc_html(get_option('mvp_instagram')); ?>" target="_blank"><span class="mvp-top-soc-but fab fa-instagram"></span></a>
										<?php } ?>
										<?php if(get_option('mvp_youtube')) { ?>
											<a href="<?php echo esc_html(get_option('mvp_youtube')); ?>" target="_blank"><span class="mvp-top-soc-but fab fa-youtube"></span></a>
										<?php } ?>
									</div><!--mvp-top-soc-wrap-->
								</div><!--mvp-main-ht-left-->
								<div class="mvp-head-logo">
									<?php if(get_option('mvp_logo')) { ?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(get_option('mvp_logo')); ?>" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" /></a>
									<?php } else { ?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/logos/logo.png" alt="<?php bloginfo( 'name' ); ?>" data-rjs="2" /></a>
									<?php } ?>
								</div><!--mvp-head-logo-->
								<div class="mvp-main-ht-right">
									<?php if(function_exists('mvp_email_sub_fn')) { ?>
										<?php if (get_option('mvp_sub_email')) { ?>
											<?php $sub_but = get_option('mvp_sub_but'); if ($sub_but == "0") { ?>
												<div class="mvp-top-sub mvp-sub-click">
													<div class="mvp-top-sub-text">
														<p><?php esc_html_e( 'Subscribe', 'jawn' ); ?></p>
													</div><!--mvp-top-sub-text-->
													<div class="mvp-top-sub-img">
														<?php if(get_option('mvp_sub_img')) { ?>
															<img src="<?php echo esc_url(get_option('mvp_sub_img')); ?>" alt="<?php esc_attr_e( 'Subscribe', 'jawn' ); ?>" />
															<?php } ?>
													</div><!--mvp-top-sub-img-->
												</div><!--mvp-top-sub-->
											<?php } else if ($sub_but == "1") { ?>
												<div class="mvp-top-sub mvp-top-sub-code">
													<?php $mvp_sub_code = get_option('mvp_sub_code'); if ($mvp_sub_code) { echo html_entity_decode($mvp_sub_code); } ?>
												</div><!--mvp-top-sub-->
											<?php } ?>
										<?php } ?>
									<?php } ?>
								</div><!--mvp-main-ht-right-->
							</div><!--mvp-main-ht-grid-->
						</div><!--mvp-main-head-top-->
						<?php get_template_part( 'parts/top', 'nav' ); ?>
						<div id="mvp-search-wrap">
							<div id="mvp-search-box">
								<?php get_search_form(); ?>
							</div><!--mvp-search-box-->
						</div><!--mvp-search-wrap-->
					</header><!--mvp-main-head-wrap-->
					<div id="mvp-main-body-wrap" class="left relative">
						<div class="mvp-main-body-grid relative">
							<div class="mvp-main-body-cont relative">