<?php
/**
 * Plugin Name: Home Large List Widget
 */

add_action( 'widgets_init', 'mvp_large_list_load_widgets' );

function mvp_large_list_load_widgets() {
	register_widget( 'mvp_large_list_widget' );
}

class mvp_large_list_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function __construct() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'mvp_large_list_widget', 'description' => esc_html__('A widget that allows you to display a list of posts with a large image.', 'jawn') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'mvp_large_list_widget' );

		/* Create the widget. */
		parent::__construct( 'mvp_large_list_widget', esc_html__('Jawn: Home Large List Widget', 'jawn'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		global $post;
		$title = apply_filters('widget_title', $instance['title'] );
		$tagcat = $instance['tagcat'];
		$enterslug = $instance['enterslug'];
		$number = $instance['number'];
		$latest = $instance['latest'];
		$latest_num = $instance['latest_num'];
		$layout = $instance['layout'];
		$code = $instance['code'];

		/* Before widget (defined by themes). */
		echo html_entity_decode($before_widget);

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo html_entity_decode($before_title . $title . $after_title);

		?>

		<div class="mvp-widget-ll-wrap left relative">
			<div class="mvp-widget-ll">
				<?php global $do_not_duplicate; if (isset($do_not_duplicate)) { ?>
					<?php if ($tagcat == 'tag') { ?>
						<?php global $do_not_duplicate; global $post; $recent = new WP_Query(array( 'tag' => $enterslug, 'posts_per_page' => $number, 'post__not_in'=>$do_not_duplicate, 'ignore_sticky_posts'=> 1 )); while($recent->have_posts()) : $recent->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
							<article class="mvp-widget-ll-story relative">
								<a href="<?php the_permalink(); ?>" rel="bookmark">
									<div class="mvp-widget-ll-img relative">
										<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
											<?php the_post_thumbnail('mvp-large-thumb', array( 'class' => 'lazy-load' )); ?>
										<?php } ?>
									</div><!--mvp-widget-ll-img-->
									<div class="mvp-widget-ll-text relative">
										<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
										<h2><?php the_title(); ?></h2>
										<p><?php echo wp_trim_words( get_the_excerpt(), 20, '...' ); ?></p>
										<div class="mvp-post-byline">
											<span class="mvp-post-byline-name"><?php esc_html_e( 'By', 'jawn' ); ?> <?php the_author(); ?></span><span class="mvp-post-byline-date"><?php the_time(get_option('date_format')); ?></span>
										</div><!--mvp-post-byline-->
										<div class="mvp-post-type-img">
											<?php if ( has_post_format( 'video' )) { ?>
												<span class="fas fa-play"></span>
											<?php } else if ( has_post_format( 'gallery' )) { ?>
												<span class="far fa-images"></span>
											<?php } else if ( has_post_format( 'audio' )) { ?>
												<span class="fas fa-volume-up"></span>
											<?php } else { ?>
												<span class="far fa-file-alt"></span>
											<?php } ?>
										</div><!--mvp-post-type-img-->
									</div><!--mvp-widget-ll-text-->
								</a>
							</article><!--mvp-widget-ll-story-->
						<?php } endwhile; wp_reset_postdata(); ?>
					<?php } else { ?>
						<?php global $do_not_duplicate; global $post; $recent = new WP_Query(array( 'category_name' => $enterslug, 'posts_per_page' => $number, 'post__not_in'=>$do_not_duplicate, 'ignore_sticky_posts'=> 1 )); while($recent->have_posts()) : $recent->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
							<article class="mvp-widget-ll-story relative">
								<a href="<?php the_permalink(); ?>" rel="bookmark">
									<div class="mvp-widget-ll-img relative">
										<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
											<?php the_post_thumbnail('mvp-large-thumb', array( 'class' => 'lazy-load' )); ?>
										<?php } ?>
									</div><!--mvp-widget-ll-img-->
									<div class="mvp-widget-ll-text relative">
										<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
										<h2><?php the_title(); ?></h2>
										<p><?php echo wp_trim_words( get_the_excerpt(), 20, '...' ); ?></p>
										<div class="mvp-post-byline">
											<span class="mvp-post-byline-name"><?php esc_html_e( 'By', 'jawn' ); ?> <?php the_author(); ?></span><span class="mvp-post-byline-date"><?php the_time(get_option('date_format')); ?></span>
										</div><!--mvp-post-byline-->
										<div class="mvp-post-type-img">
											<?php if ( has_post_format( 'video' )) { ?>
												<span class="fas fa-play"></span>
											<?php } else if ( has_post_format( 'gallery' )) { ?>
												<span class="far fa-images"></span>
											<?php } else if ( has_post_format( 'audio' )) { ?>
												<span class="fas fa-volume-up"></span>
											<?php } else { ?>
												<span class="far fa-file-alt"></span>
											<?php } ?>
										</div><!--mvp-post-type-img-->
									</div><!--mvp-widget-ll-text-->
								</a>
							</article><!--mvp-widget-ll-story-->
						<?php } endwhile; wp_reset_postdata(); ?>
					<?php } ?>
				<?php } else { ?>
					<?php if ($tagcat == 'tag') { ?>
						<?php global $do_not_duplicate; global $post; $recent = new WP_Query(array( 'tag' => $enterslug, 'posts_per_page' => $number, 'ignore_sticky_posts'=> 1 )); while($recent->have_posts()) : $recent->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
							<article class="mvp-widget-ll-story relative">
								<a href="<?php the_permalink(); ?>" rel="bookmark">
									<div class="mvp-widget-ll-img relative">
										<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
											<?php the_post_thumbnail('mvp-large-thumb', array( 'class' => 'lazy-load' )); ?>
										<?php } ?>
									</div><!--mvp-widget-ll-img-->
									<div class="mvp-widget-ll-text relative">
										<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
										<h2><?php the_title(); ?></h2>
										<p><?php echo wp_trim_words( get_the_excerpt(), 20, '...' ); ?></p>
										<div class="mvp-post-byline">
											<span class="mvp-post-byline-name"><?php esc_html_e( 'By', 'jawn' ); ?> <?php the_author(); ?></span><span class="mvp-post-byline-date"><?php the_time(get_option('date_format')); ?></span>
										</div><!--mvp-post-byline-->
										<div class="mvp-post-type-img">
											<?php if ( has_post_format( 'video' )) { ?>
												<span class="fas fa-play"></span>
											<?php } else if ( has_post_format( 'gallery' )) { ?>
												<span class="far fa-images"></span>
											<?php } else if ( has_post_format( 'audio' )) { ?>
												<span class="fas fa-volume-up"></span>
											<?php } else { ?>
												<span class="far fa-file-alt"></span>
											<?php } ?>
										</div><!--mvp-post-type-img-->
									</div><!--mvp-widget-ll-text-->
								</a>
							</article><!--mvp-widget-ll-story-->
						<?php } endwhile; wp_reset_postdata(); ?>
					<?php } else { ?>
						<?php global $do_not_duplicate; global $post; $recent = new WP_Query(array( 'category_name' => $enterslug, 'posts_per_page' => $number, 'ignore_sticky_posts'=> 1 )); while($recent->have_posts()) : $recent->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
							<article class="mvp-widget-ll-story relative">
								<a href="<?php the_permalink(); ?>" rel="bookmark">
									<div class="mvp-widget-ll-img relative">
										<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>
											<?php the_post_thumbnail('mvp-large-thumb', array( 'class' => 'lazy-load' )); ?>
										<?php } ?>
									</div><!--mvp-widget-ll-img-->
									<div class="mvp-widget-ll-text relative">
										<h3 class="mvp-cat-bub"><span class="mvp-cat-bub"><?php $category = get_the_category(); echo esc_html( $category[0]->cat_name ); ?></span></h3>
										<h2><?php the_title(); ?></h2>
										<p><?php echo wp_trim_words( get_the_excerpt(), 20, '...' ); ?></p>
										<div class="mvp-post-byline">
											<span class="mvp-post-byline-name"><?php esc_html_e( 'By', 'jawn' ); ?> <?php the_author(); ?></span><span class="mvp-post-byline-date"><?php the_time(get_option('date_format')); ?></span>
										</div><!--mvp-post-byline-->
										<div class="mvp-post-type-img">
											<?php if ( has_post_format( 'video' )) { ?>
												<span class="fas fa-play"></span>
											<?php } else if ( has_post_format( 'gallery' )) { ?>
												<span class="far fa-images"></span>
											<?php } else if ( has_post_format( 'audio' )) { ?>
												<span class="fas fa-volume-up"></span>
											<?php } else { ?>
												<span class="far fa-file-alt"></span>
											<?php } ?>
										</div><!--mvp-post-type-img-->
									</div><!--mvp-widget-ll-text-->
								</a>
							</article><!--mvp-widget-ll-story-->
						<?php } endwhile; wp_reset_postdata(); ?>
					<?php } ?>
				<?php } ?>
			</div><!--mvp-widget-ll-->
			<?php if($latest) { ?>
				<?php if($code) { ?>
					<div class="mvp-widget-latest-wrap mvp-widget-ad-grid">
						<?php if ($layout == 'row') { ?>
							<div class="mvp-widget-latest-main">
						<?php } else { ?>
							<div class="mvp-widget-latest-main mvp-blog-main-grid">
						<?php } ?>
							<?php global $do_not_duplicate; $recent_widget = new WP_Query(array( 'posts_per_page' => $latest_num, 'post__not_in'=>$do_not_duplicate, 'ignore_sticky_posts'=> 1 )); while($recent_widget->have_posts()) : $recent_widget->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
								<?php get_template_part( 'parts/blog', 'widget' ); ?>
							<?php } endwhile; wp_reset_postdata(); ?>
						</div><!--mvp-widget-latest-main-->
						<div class="mvp-widget-latest-side">
							<div class="mvp-widget-ad left relative">
								<span class="mvp-ad-label"><?php esc_html_e( 'Advertisement', 'jawn' ); ?></span>
								<?php echo html_entity_decode($code); ?>
							</div><!--mvp-widget-ad-->
						</div><!--mvp-widget-latest-side-->
					</div><!--mvp-widget-latest-wrap-->
				<?php } else { ?>
					<div class="mvp-widget-latest-wrap">
						<?php if ($layout == 'row') { ?>
							<div class="mvp-widget-latest-main">
						<?php } else { ?>
							<div class="mvp-widget-latest-main mvp-blog-main-grid">
						<?php } ?>
							<?php global $do_not_duplicate; $recent_widget = new WP_Query(array( 'posts_per_page' => $latest_num, 'post__not_in'=>$do_not_duplicate, 'ignore_sticky_posts'=> 1 )); while($recent_widget->have_posts()) : $recent_widget->the_post(); $do_not_duplicate[] = $post->ID; if (isset($do_not_duplicate)) { ?>
								<?php get_template_part( 'parts/blog', 'widget' ); ?>
							<?php } endwhile; wp_reset_postdata(); ?>
						</div><!--mvp-widget-latest-main-->
					</div><!--mvp-widget-latest-wrap-->
				<?php } ?>
			<?php } ?>
		</div><!--mvp-widget-ll-wrap-->

		<?php

		/* After widget (defined by themes). */
		echo html_entity_decode($after_widget);

	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['tagcat'] = strip_tags( $new_instance['tagcat'] );
		$instance['enterslug'] = strip_tags( $new_instance['enterslug'] );
		$instance['number'] = strip_tags( $new_instance['number'] );
		$instance['latest'] = strip_tags( $new_instance['latest'] );
		$instance['latest_num'] = strip_tags( $new_instance['latest_num'] );
		$instance['layout'] = strip_tags( $new_instance['layout'] );
		$instance['code'] = $new_instance['code'];

		return $instance;
	}


	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Title', 'number' => '2', 'latest_num' => '3' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'title' )); ?>">Title:</label>
			<input id="<?php echo esc_html($this->get_field_id( 'title' )); ?>" name="<?php echo esc_html($this->get_field_name( 'title' )); ?>" value="<?php echo esc_html($instance['title']); ?>" style="width:90%;" />
		</p>

		<!-- Cat/Tag -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id('tagcat')); ?>">Display Posts By Category Or Tag:</label>
			<select id="<?php echo esc_html($this->get_field_id('tagcat')); ?>" name="<?php echo esc_html($this->get_field_name('tagcat')); ?>" style="width:100%;">
				<option value='category' <?php if ('category' == $instance['tagcat']) echo 'selected="selected"'; ?>>Category</option>
				<option value='tag' <?php if ('tag' == $instance['tagcat']) echo 'selected="selected"'; ?>>Tag</option>
			</select>
		</p>

		<!-- Enter Cat/Tag -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'enterslug' )); ?>">Enter Category/Tag Slug Name:</label>
			<input id="<?php echo esc_html($this->get_field_id( 'enterslug' )); ?>" name="<?php echo esc_html($this->get_field_name( 'enterslug' )); ?>" value="<?php echo esc_html($instance['enterslug']); ?>" style="width:90%;" />
		</p>

		<!-- Number of posts -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'number' )); ?>">Number of Trending Posts to display:</label>
			<input id="<?php echo esc_html($this->get_field_id( 'number' )); ?>" name="<?php echo esc_html($this->get_field_name( 'number' )); ?>" value="<?php echo esc_html($instance['number']); ?>" size="3" />
		</p>

		<!-- Latest Posts -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'latest' )); ?>">Show Latest Posts?</label>
			<input type="checkbox" id="<?php echo esc_html($this->get_field_id( 'latest' )); ?>" name="<?php echo esc_html($this->get_field_name( 'latest' )); ?>" <?php checked( (bool) esc_html($instance['latest']), true ); ?> />
		</p>

		<!-- Number of Latest Posts -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'latest_num' )); ?>">Number of Latest Posts to display:</label>
			<input id="<?php echo esc_html($this->get_field_id( 'latest_num' )); ?>" name="<?php echo esc_html($this->get_field_name( 'latest_num' )); ?>" value="<?php echo esc_html($instance['latest_num']); ?>" size="3" />
		</p>

		<!-- Latest Layout -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id('layout')); ?>">Latest Posts Layout:</label>
			<select id="<?php echo esc_html($this->get_field_id('layout')); ?>" name="<?php echo esc_html($this->get_field_name('layout')); ?>" style="width:100%;">
				<option value='row' <?php if ('row' == $instance['layout']) echo 'selected="selected"'; ?>>Row</option>
				<option value='grid' <?php if ('grid' == $instance['layout']) echo 'selected="selected"'; ?>>Grid</option>
			</select>
		</p>
			
		<!-- Ad code -->
		<p>
			<label for="<?php echo esc_html($this->get_field_id( 'code' )); ?>">Optional Ad Code:</label>
			<textarea id="<?php echo esc_html($this->get_field_id( 'code' )); ?>" name="<?php echo esc_html($this->get_field_name( 'code' )); ?>" style="width:96%;" rows="6"><?php echo html_entity_decode($instance['code']); ?></textarea>
		</p>

	<?php
	}
}

?>