<?php
/**
 * Plugin Name: Email Subscription
 */

add_action( 'widgets_init', 'mvp_email_sub_load_widgets' );

function mvp_email_sub_load_widgets() {
	register_widget( 'mvp_email_sub_widget' );
}

class mvp_email_sub_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function __construct() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'mvp_email_sub_widget', 'description' => esc_html__('A widget displays an email subscription box.', 'jawn') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'mvp_email_sub_widget' );

		/* Create the widget. */
		parent::__construct( 'mvp_email_sub_widget', esc_html__('Jawn: Email Subscription Widget', 'jawn'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		/* Before widget (defined by themes). */
		echo html_entity_decode($before_widget);

		?>
			<div class="mvp-widget-sub left relative">
				<?php if(function_exists('mvp_email_sub_fn')) { ?>
					<?php mvp_email_sub_fn(); ?>
				<?php } ?>
			</div><!--mvp-widget-sub-->
		<?php

		/* After widget (defined by themes). */
		echo html_entity_decode($after_widget);

	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		return $instance;
	}


	function form( $instance ) {

		/* Set up some default widget settings. */
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Text -->
		<p>
			The settings for the Email Subscription box can be found in the Theme Options.
		</p>


	<?php
	}
}

?>